// Compiled shader for all platforms, uncompressed size: 102.4KB

Shader "Proland/Atmo/Sky" {
SubShader { 
 Tags { "QUEUE"="Geometry+1" "IGNOREPROJECTOR"="true" }


 // Stats for Vertex shader:
 //       d3d11 : 10 math
 //        d3d9 : 14 math
 // Stats for Fragment shader:
 //       d3d11 : 152 math, 4 branch
 //        d3d9 : 273 math, 2 texture, 3 branch
 Pass {
  Tags { "QUEUE"="Geometry+1" "IGNOREPROJECTOR"="true" }
  ZTest False
  ZWrite Off
  Cull Front
  Blend DstColor Zero
Program "vp" {
SubProgram "opengl " {
"!!GLSL
#ifdef VERTEX
uniform mat4 _Globals_CameraToWorld;
uniform mat4 _Globals_ScreenToCamera;
uniform mat4 _Sun_WorldToLocal;
varying vec2 xlv_TEXCOORD0;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD2;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1.w = 0.0;
  tmpvar_1.xyz = (_Globals_ScreenToCamera * gl_Vertex).xyz;
  vec3 tmpvar_2;
  tmpvar_2 = (_Globals_CameraToWorld * tmpvar_1).xyz;
  mat3 tmpvar_3;
  tmpvar_3[0] = _Sun_WorldToLocal[0].xyz;
  tmpvar_3[1] = _Sun_WorldToLocal[1].xyz;
  tmpvar_3[2] = _Sun_WorldToLocal[2].xyz;
  vec4 tmpvar_4;
  tmpvar_4.zw = vec2(1.0, 1.0);
  tmpvar_4.xy = gl_Vertex.xy;
  gl_Position = tmpvar_4;
  xlv_TEXCOORD0 = gl_MultiTexCoord0.xy;
  xlv_TEXCOORD1 = tmpvar_2;
  xlv_TEXCOORD2 = (tmpvar_3 * tmpvar_2);
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
uniform float Rg;
uniform float Rt;
uniform float HR;
uniform vec3 betaR;
uniform float HM;
uniform vec3 betaMEx;
uniform float _extinctionScatterIntensity;
uniform sampler2D _Sky_Transmittance;
uniform float _viewdirOffset;
uniform vec3 _Globals_WorldCameraPos;
uniform vec3 _Globals_Origin;
uniform float _Extinction_Tint;
uniform float extinctionMultiplier;
uniform float extinctionRimFade;
varying vec3 xlv_TEXCOORD1;
void main ()
{
  vec4 tmpvar_1;
  float mu_2;
  float r_3;
  vec3 viewdir_4;
  vec3 extinction_5;
  extinction_5 = vec3(1.0, 1.0, 1.0);
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD1);
  viewdir_4.yz = tmpvar_6.yz;
  viewdir_4.x = (tmpvar_6.x + _viewdirOffset);
  vec3 tmpvar_7;
  tmpvar_7 = normalize(viewdir_4);
  viewdir_4 = tmpvar_7;
  vec3 tmpvar_8;
  tmpvar_8 = (_Globals_WorldCameraPos - _Globals_Origin);
  float tmpvar_9;
  tmpvar_9 = sqrt(dot (tmpvar_8, tmpvar_8));
  r_3 = tmpvar_9;
  float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, tmpvar_7);
  mu_2 = (tmpvar_10 / tmpvar_9);
  float f_11;
  f_11 = (((tmpvar_10 * tmpvar_10) - (tmpvar_9 * tmpvar_9)) + (Rt * Rt));
  float tmpvar_12;
  if ((f_11 >= 0.0)) {
    tmpvar_12 = sqrt(f_11);
  } else {
    tmpvar_12 = 1e+30;
  };
  float tmpvar_13;
  tmpvar_13 = max ((-(tmpvar_10) - tmpvar_12), 0.0);
  if ((tmpvar_13 > 0.0)) {
    mu_2 = ((tmpvar_10 + tmpvar_13) / Rt);
    r_3 = Rt;
  };
  if ((r_3 > Rt)) {
    tmpvar_1 = vec4(1.0, 1.0, 1.0, 1.0);
  } else {
    float tmpvar_14;
    float tmpvar_15;
    tmpvar_15 = dot (tmpvar_6, tmpvar_6);
    float tmpvar_16;
    tmpvar_16 = (2.0 * dot (tmpvar_6, (_Globals_WorldCameraPos - _Globals_Origin)));
    float tmpvar_17;
    tmpvar_17 = ((tmpvar_16 * tmpvar_16) - ((4.0 * tmpvar_15) * (((dot (_Globals_Origin, _Globals_Origin) + dot (_Globals_WorldCameraPos, _Globals_WorldCameraPos)) - (2.0 * dot (_Globals_Origin, _Globals_WorldCameraPos))) - (Rg * Rg))));
    if ((tmpvar_17 < 0.0)) {
      tmpvar_14 = -1.0;
    } else {
      tmpvar_14 = ((-(tmpvar_16) - sqrt(tmpvar_17)) / (2.0 * tmpvar_15));
    };
    if ((tmpvar_14 > 0.0)) {
      float tmpvar_18;
      float tmpvar_19;
      tmpvar_19 = dot (tmpvar_6, tmpvar_6);
      float tmpvar_20;
      tmpvar_20 = (2.0 * dot (tmpvar_6, (_Globals_WorldCameraPos - _Globals_Origin)));
      float tmpvar_21;
      tmpvar_21 = ((tmpvar_20 * tmpvar_20) - ((4.0 * tmpvar_19) * (((dot (_Globals_Origin, _Globals_Origin) + dot (_Globals_WorldCameraPos, _Globals_WorldCameraPos)) - (2.0 * dot (_Globals_Origin, _Globals_WorldCameraPos))) - (Rg * Rg))));
      if ((tmpvar_21 < 0.0)) {
        tmpvar_18 = -1.0;
      } else {
        tmpvar_18 = ((-(tmpvar_20) - sqrt(tmpvar_21)) / (2.0 * tmpvar_19));
      };
      float tmpvar_22;
      float tmpvar_23;
      tmpvar_23 = dot (tmpvar_6, tmpvar_6);
      float tmpvar_24;
      tmpvar_24 = (2.0 * dot (tmpvar_6, (_Globals_WorldCameraPos - _Globals_Origin)));
      float tmpvar_25;
      tmpvar_25 = ((tmpvar_24 * tmpvar_24) - ((4.0 * tmpvar_23) * (((dot (_Globals_Origin, _Globals_Origin) + dot (_Globals_WorldCameraPos, _Globals_WorldCameraPos)) - (2.0 * dot (_Globals_Origin, _Globals_WorldCameraPos))) - (Rt * Rt))));
      if ((tmpvar_25 < 0.0)) {
        tmpvar_22 = -1.0;
      } else {
        tmpvar_22 = ((-(tmpvar_24) - sqrt(tmpvar_25)) / (2.0 * tmpvar_23));
      };
      float tmpvar_26;
      tmpvar_26 = (tmpvar_18 - tmpvar_22);
      float tmpvar_27;
      vec2 tmpvar_28;
      tmpvar_28.x = mu_2;
      tmpvar_28.y = (mu_2 + (tmpvar_26 / r_3));
      vec2 tmpvar_29;
      tmpvar_29 = (sqrt(((0.5 / HR) * r_3)) * tmpvar_28);
      vec2 tmpvar_30;
      tmpvar_30 = sign(tmpvar_29);
      vec2 tmpvar_31;
      tmpvar_31 = (tmpvar_29 * tmpvar_29);
      float tmpvar_32;
      if ((tmpvar_30.y > tmpvar_30.x)) {
        tmpvar_32 = exp(tmpvar_31.x);
      } else {
        tmpvar_32 = 0.0;
      };
      vec2 tmpvar_33;
      tmpvar_33.x = 1.0;
      tmpvar_33.y = exp(((-(tmpvar_26) / HR) * ((tmpvar_26 / (2.0 * r_3)) + mu_2)));
      tmpvar_27 = ((sqrt(((6.2831 * HR) * r_3)) * exp(((Rg - r_3) / HR))) * (tmpvar_32 + dot (((tmpvar_30 / ((2.3193 * abs(tmpvar_29)) + sqrt(((1.52 * tmpvar_31) + 4.0)))) * tmpvar_33), vec2(1.0, -1.0))));
      vec2 tmpvar_34;
      tmpvar_34.x = mu_2;
      tmpvar_34.y = (mu_2 + (tmpvar_26 / r_3));
      vec2 tmpvar_35;
      tmpvar_35 = (sqrt(((0.5 / HM) * r_3)) * tmpvar_34);
      vec2 tmpvar_36;
      tmpvar_36 = sign(tmpvar_35);
      vec2 tmpvar_37;
      tmpvar_37 = (tmpvar_35 * tmpvar_35);
      float tmpvar_38;
      if ((tmpvar_36.y > tmpvar_36.x)) {
        tmpvar_38 = exp(tmpvar_37.x);
      } else {
        tmpvar_38 = 0.0;
      };
      vec2 tmpvar_39;
      tmpvar_39.x = 1.0;
      tmpvar_39.y = exp(((-(tmpvar_26) / HM) * ((tmpvar_26 / (2.0 * r_3)) + mu_2)));
      extinction_5 = exp((((-(betaR) * _extinctionScatterIntensity) * tmpvar_27) - ((betaMEx * _extinctionScatterIntensity) * ((sqrt(((6.2831 * HM) * r_3)) * exp(((Rg - r_3) / HM))) * (tmpvar_38 + dot (((tmpvar_36 / ((2.3193 * abs(tmpvar_35)) + sqrt(((1.52 * tmpvar_37) + 4.0)))) * tmpvar_39), vec2(1.0, -1.0)))))));
    } else {
      float y_over_x_40;
      y_over_x_40 = (((mu_2 + 0.15) / 1.15) * 14.1014);
      float x_41;
      x_41 = (y_over_x_40 * inversesqrt(((y_over_x_40 * y_over_x_40) + 1.0)));
      vec2 tmpvar_42;
      tmpvar_42.x = ((sign(x_41) * (1.5708 - (sqrt((1.0 - abs(x_41))) * (1.5708 + (abs(x_41) * (-0.214602 + (abs(x_41) * (0.0865667 + (abs(x_41) * -0.0310296))))))))) / 1.5);
      tmpvar_42.y = sqrt(((r_3 - Rg) / (Rt - Rg)));
      extinction_5 = texture2DLod (_Sky_Transmittance, tmpvar_42, 0.0).xyz;
    };
    extinction_5 = vec3(mix ((((extinction_5.x + extinction_5.y) + extinction_5.z) / 3.0), extinction_5.x, _Extinction_Tint));
    float tmpvar_43;
    float tmpvar_44;
    tmpvar_44 = dot (tmpvar_6, tmpvar_6);
    float tmpvar_45;
    tmpvar_45 = (2.0 * dot (tmpvar_6, (_Globals_WorldCameraPos - _Globals_Origin)));
    float tmpvar_46;
    tmpvar_46 = ((tmpvar_45 * tmpvar_45) - ((4.0 * tmpvar_44) * (((dot (_Globals_Origin, _Globals_Origin) + dot (_Globals_WorldCameraPos, _Globals_WorldCameraPos)) - (2.0 * dot (_Globals_Origin, _Globals_WorldCameraPos))) - (Rg * Rg))));
    if ((tmpvar_46 < 0.0)) {
      tmpvar_43 = -1.0;
    } else {
      tmpvar_43 = ((-(tmpvar_45) - sqrt(tmpvar_46)) / (2.0 * tmpvar_44));
    };
    bool tmpvar_47;
    tmpvar_47 = (tmpvar_43 > 0.0);
    if (!(tmpvar_47)) {
      extinction_5 = (vec3(extinctionRimFade) + ((1.0 - extinctionRimFade) * extinction_5));
    };
    vec4 tmpvar_48;
    tmpvar_48.w = 1.0;
    tmpvar_48.xyz = (extinctionMultiplier * extinction_5);
    tmpvar_1 = tmpvar_48;
  };
  gl_FragData[0] = tmpvar_1;
}


#endif
"
}
SubProgram "d3d9 " {
// Stats: 14 math
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Matrix 0 [_Globals_CameraToWorld]
Matrix 4 [_Globals_ScreenToCamera]
Matrix 8 [_Sun_WorldToLocal]
"vs_3_0
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
def c12, 0.00000000, 1.00000000, 0, 0
dcl_position0 v0
dcl_texcoord0 v1
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mov r1.w, c12.x
dp4 r1.z, v0, c6
dp4 r0.z, r1, c2
dp4 r0.x, r1, c0
dp4 r0.y, r1, c1
mov o2.xyz, r0
dp3 o3.z, r0, c10
dp3 o3.y, r0, c9
dp3 o3.x, r0, c8
mov o0.xy, v0
mov o0.zw, c12.y
mov o1.xy, v1
"
}
SubProgram "d3d11 " {
// Stats: 10 math
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 400
Matrix 160 [_Globals_CameraToWorld]
Matrix 224 [_Globals_ScreenToCamera]
Matrix 336 [_Sun_WorldToLocal]
BindCB  "$Globals" 0
"vs_4_0
eefiecedfmmahmidcmnmanilkgoeemfplcidcoepabaaaaaaheadaaaaadaaaaaa
cmaaaaaakaaaaaaaciabaaaaejfdeheogmaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahaaaaaagaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apadaaaafaepfdejfeejepeoaaeoepfcenebemaafeeffiedepepfceeaaklklkl
epfdeheoiaaaaaaaaeaaaaaaaiaaaaaagiaaaaaaaaaaaaaaabaaaaaaadaaaaaa
aaaaaaaaapaaaaaaheaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaadamaaaa
heaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaheaaaaaaacaaaaaa
aaaaaaaaadaaaaaaadaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaafeeffied
epepfceeaaklklklfdeieefceeacaaaaeaaaabaajbaaaaaafjaaaaaeegiocaaa
aaaaaaaabiaaaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaaddcbabaaaacaaaaaa
ghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaaddccabaaaabaaaaaagfaaaaad
hccabaaaacaaaaaagfaaaaadhccabaaaadaaaaaagiaaaaacacaaaaaadgaaaaaf
dccabaaaaaaaaaaaegbabaaaaaaaaaaadgaaaaaimccabaaaaaaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaiadpaaaaiadpdgaaaaafdccabaaaabaaaaaaegbabaaa
acaaaaaadiaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaaaaaaaaaa
apaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaaaaaaaaaaoaaaaaaagbabaaa
aaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaaaaaaaaa
baaaaaaakgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaa
egiccaaaaaaaaaaabbaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaadiaaaaai
hcaabaaaabaaaaaafgafbaaaaaaaaaaaegiccaaaaaaaaaaaalaaaaaadcaaaaak
lcaabaaaaaaaaaaaegiicaaaaaaaaaaaakaaaaaaagaabaaaaaaaaaaaegaibaaa
abaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaaaaaaaaaamaaaaaakgakbaaa
aaaaaaaaegadbaaaaaaaaaaadgaaaaafhccabaaaacaaaaaaegacbaaaaaaaaaaa
diaaaaaihcaabaaaabaaaaaafgafbaaaaaaaaaaaegiccaaaaaaaaaaabgaaaaaa
dcaaaaaklcaabaaaaaaaaaaaegiicaaaaaaaaaaabfaaaaaaagaabaaaaaaaaaaa
egaibaaaabaaaaaadcaaaaakhccabaaaadaaaaaaegiccaaaaaaaaaaabhaaaaaa
kgakbaaaaaaaaaaaegadbaaaaaaaaaaadoaaaaab"
}
SubProgram "gles " {
"!!GLES


#ifdef VERTEX

attribute vec4 _glesVertex;
attribute vec4 _glesMultiTexCoord0;
uniform highp mat4 _Globals_CameraToWorld;
uniform highp mat4 _Globals_ScreenToCamera;
uniform highp mat4 _Sun_WorldToLocal;
varying highp vec2 xlv_TEXCOORD0;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD2;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1.w = 0.0;
  tmpvar_1.xyz = (_Globals_ScreenToCamera * _glesVertex).xyz;
  highp vec3 tmpvar_2;
  tmpvar_2 = (_Globals_CameraToWorld * tmpvar_1).xyz;
  mat3 tmpvar_3;
  tmpvar_3[0] = _Sun_WorldToLocal[0].xyz;
  tmpvar_3[1] = _Sun_WorldToLocal[1].xyz;
  tmpvar_3[2] = _Sun_WorldToLocal[2].xyz;
  highp vec4 tmpvar_4;
  tmpvar_4.zw = vec2(1.0, 1.0);
  tmpvar_4.xy = _glesVertex.xy;
  gl_Position = tmpvar_4;
  xlv_TEXCOORD0 = _glesMultiTexCoord0.xy;
  xlv_TEXCOORD1 = tmpvar_2;
  xlv_TEXCOORD2 = (tmpvar_3 * tmpvar_2);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
uniform highp float Rg;
uniform highp float Rt;
uniform highp float HR;
uniform highp vec3 betaR;
uniform highp float HM;
uniform highp vec3 betaMEx;
uniform highp float _extinctionScatterIntensity;
uniform sampler2D _Sky_Transmittance;
uniform highp float _viewdirOffset;
uniform highp vec3 _Globals_WorldCameraPos;
uniform highp vec3 _Globals_Origin;
uniform highp float _Extinction_Tint;
uniform highp float extinctionMultiplier;
uniform highp float extinctionRimFade;
varying highp vec3 xlv_TEXCOORD1;
void main ()
{
  highp vec4 tmpvar_1;
  highp float mu_2;
  highp float r_3;
  highp vec3 viewdir_4;
  highp vec3 extinction_5;
  extinction_5 = vec3(1.0, 1.0, 1.0);
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD1);
  viewdir_4.yz = tmpvar_6.yz;
  viewdir_4.x = (tmpvar_6.x + _viewdirOffset);
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(viewdir_4);
  viewdir_4 = tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_Globals_WorldCameraPos - _Globals_Origin);
  highp float tmpvar_9;
  tmpvar_9 = sqrt(dot (tmpvar_8, tmpvar_8));
  r_3 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, tmpvar_7);
  mu_2 = (tmpvar_10 / tmpvar_9);
  highp float f_11;
  f_11 = (((tmpvar_10 * tmpvar_10) - (tmpvar_9 * tmpvar_9)) + (Rt * Rt));
  highp float tmpvar_12;
  if ((f_11 >= 0.0)) {
    tmpvar_12 = sqrt(f_11);
  } else {
    tmpvar_12 = 1e+30;
  };
  highp float tmpvar_13;
  tmpvar_13 = max ((-(tmpvar_10) - tmpvar_12), 0.0);
  if ((tmpvar_13 > 0.0)) {
    mu_2 = ((tmpvar_10 + tmpvar_13) / Rt);
    r_3 = Rt;
  };
  if ((r_3 > Rt)) {
    tmpvar_1 = vec4(1.0, 1.0, 1.0, 1.0);
  } else {
    highp float tmpvar_14;
    highp float tmpvar_15;
    tmpvar_15 = dot (tmpvar_6, tmpvar_6);
    highp float tmpvar_16;
    tmpvar_16 = (2.0 * dot (tmpvar_6, (_Globals_WorldCameraPos - _Globals_Origin)));
    highp float tmpvar_17;
    tmpvar_17 = ((tmpvar_16 * tmpvar_16) - ((4.0 * tmpvar_15) * (((dot (_Globals_Origin, _Globals_Origin) + dot (_Globals_WorldCameraPos, _Globals_WorldCameraPos)) - (2.0 * dot (_Globals_Origin, _Globals_WorldCameraPos))) - (Rg * Rg))));
    if ((tmpvar_17 < 0.0)) {
      tmpvar_14 = -1.0;
    } else {
      tmpvar_14 = ((-(tmpvar_16) - sqrt(tmpvar_17)) / (2.0 * tmpvar_15));
    };
    if ((tmpvar_14 > 0.0)) {
      highp float tmpvar_18;
      highp float tmpvar_19;
      tmpvar_19 = dot (tmpvar_6, tmpvar_6);
      highp float tmpvar_20;
      tmpvar_20 = (2.0 * dot (tmpvar_6, (_Globals_WorldCameraPos - _Globals_Origin)));
      highp float tmpvar_21;
      tmpvar_21 = ((tmpvar_20 * tmpvar_20) - ((4.0 * tmpvar_19) * (((dot (_Globals_Origin, _Globals_Origin) + dot (_Globals_WorldCameraPos, _Globals_WorldCameraPos)) - (2.0 * dot (_Globals_Origin, _Globals_WorldCameraPos))) - (Rg * Rg))));
      if ((tmpvar_21 < 0.0)) {
        tmpvar_18 = -1.0;
      } else {
        tmpvar_18 = ((-(tmpvar_20) - sqrt(tmpvar_21)) / (2.0 * tmpvar_19));
      };
      highp float tmpvar_22;
      highp float tmpvar_23;
      tmpvar_23 = dot (tmpvar_6, tmpvar_6);
      highp float tmpvar_24;
      tmpvar_24 = (2.0 * dot (tmpvar_6, (_Globals_WorldCameraPos - _Globals_Origin)));
      highp float tmpvar_25;
      tmpvar_25 = ((tmpvar_24 * tmpvar_24) - ((4.0 * tmpvar_23) * (((dot (_Globals_Origin, _Globals_Origin) + dot (_Globals_WorldCameraPos, _Globals_WorldCameraPos)) - (2.0 * dot (_Globals_Origin, _Globals_WorldCameraPos))) - (Rt * Rt))));
      if ((tmpvar_25 < 0.0)) {
        tmpvar_22 = -1.0;
      } else {
        tmpvar_22 = ((-(tmpvar_24) - sqrt(tmpvar_25)) / (2.0 * tmpvar_23));
      };
      highp float tmpvar_26;
      tmpvar_26 = (tmpvar_18 - tmpvar_22);
      highp float tmpvar_27;
      highp vec2 tmpvar_28;
      tmpvar_28.x = mu_2;
      tmpvar_28.y = (mu_2 + (tmpvar_26 / r_3));
      highp vec2 tmpvar_29;
      tmpvar_29 = (sqrt(((0.5 / HR) * r_3)) * tmpvar_28);
      highp vec2 tmpvar_30;
      tmpvar_30 = sign(tmpvar_29);
      highp vec2 tmpvar_31;
      tmpvar_31 = (tmpvar_29 * tmpvar_29);
      highp float tmpvar_32;
      if ((tmpvar_30.y > tmpvar_30.x)) {
        tmpvar_32 = exp(tmpvar_31.x);
      } else {
        tmpvar_32 = 0.0;
      };
      highp vec2 tmpvar_33;
      tmpvar_33.x = 1.0;
      tmpvar_33.y = exp(((-(tmpvar_26) / HR) * ((tmpvar_26 / (2.0 * r_3)) + mu_2)));
      tmpvar_27 = ((sqrt(((6.2831 * HR) * r_3)) * exp(((Rg - r_3) / HR))) * (tmpvar_32 + dot (((tmpvar_30 / ((2.3193 * abs(tmpvar_29)) + sqrt(((1.52 * tmpvar_31) + 4.0)))) * tmpvar_33), vec2(1.0, -1.0))));
      highp vec2 tmpvar_34;
      tmpvar_34.x = mu_2;
      tmpvar_34.y = (mu_2 + (tmpvar_26 / r_3));
      highp vec2 tmpvar_35;
      tmpvar_35 = (sqrt(((0.5 / HM) * r_3)) * tmpvar_34);
      highp vec2 tmpvar_36;
      tmpvar_36 = sign(tmpvar_35);
      highp vec2 tmpvar_37;
      tmpvar_37 = (tmpvar_35 * tmpvar_35);
      highp float tmpvar_38;
      if ((tmpvar_36.y > tmpvar_36.x)) {
        tmpvar_38 = exp(tmpvar_37.x);
      } else {
        tmpvar_38 = 0.0;
      };
      highp vec2 tmpvar_39;
      tmpvar_39.x = 1.0;
      tmpvar_39.y = exp(((-(tmpvar_26) / HM) * ((tmpvar_26 / (2.0 * r_3)) + mu_2)));
      extinction_5 = exp((((-(betaR) * _extinctionScatterIntensity) * tmpvar_27) - ((betaMEx * _extinctionScatterIntensity) * ((sqrt(((6.2831 * HM) * r_3)) * exp(((Rg - r_3) / HM))) * (tmpvar_38 + dot (((tmpvar_36 / ((2.3193 * abs(tmpvar_35)) + sqrt(((1.52 * tmpvar_37) + 4.0)))) * tmpvar_39), vec2(1.0, -1.0)))))));
    } else {
      highp vec3 tmpvar_40;
      highp float y_over_x_41;
      y_over_x_41 = (((mu_2 + 0.15) / 1.15) * 14.1014);
      highp float x_42;
      x_42 = (y_over_x_41 * inversesqrt(((y_over_x_41 * y_over_x_41) + 1.0)));
      highp vec2 tmpvar_43;
      tmpvar_43.x = ((sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296))))))))) / 1.5);
      tmpvar_43.y = sqrt(((r_3 - Rg) / (Rt - Rg)));
      lowp vec4 tmpvar_44;
      tmpvar_44 = texture2DLodEXT (_Sky_Transmittance, tmpvar_43, 0.0);
      tmpvar_40 = tmpvar_44.xyz;
      extinction_5 = tmpvar_40;
    };
    extinction_5 = vec3(mix ((((extinction_5.x + extinction_5.y) + extinction_5.z) / 3.0), extinction_5.x, _Extinction_Tint));
    highp float tmpvar_45;
    highp float tmpvar_46;
    tmpvar_46 = dot (tmpvar_6, tmpvar_6);
    highp float tmpvar_47;
    tmpvar_47 = (2.0 * dot (tmpvar_6, (_Globals_WorldCameraPos - _Globals_Origin)));
    highp float tmpvar_48;
    tmpvar_48 = ((tmpvar_47 * tmpvar_47) - ((4.0 * tmpvar_46) * (((dot (_Globals_Origin, _Globals_Origin) + dot (_Globals_WorldCameraPos, _Globals_WorldCameraPos)) - (2.0 * dot (_Globals_Origin, _Globals_WorldCameraPos))) - (Rg * Rg))));
    if ((tmpvar_48 < 0.0)) {
      tmpvar_45 = -1.0;
    } else {
      tmpvar_45 = ((-(tmpvar_47) - sqrt(tmpvar_48)) / (2.0 * tmpvar_46));
    };
    bool tmpvar_49;
    tmpvar_49 = (tmpvar_45 > 0.0);
    if (!(tmpvar_49)) {
      extinction_5 = (vec3(extinctionRimFade) + ((1.0 - extinctionRimFade) * extinction_5));
    };
    highp vec4 tmpvar_50;
    tmpvar_50.w = 1.0;
    tmpvar_50.xyz = (extinctionMultiplier * extinction_5);
    tmpvar_1 = tmpvar_50;
  };
  gl_FragData[0] = tmpvar_1;
}



#endif"
}
SubProgram "glesdesktop " {
"!!GLES


#ifdef VERTEX

attribute vec4 _glesVertex;
attribute vec4 _glesMultiTexCoord0;
uniform highp mat4 _Globals_CameraToWorld;
uniform highp mat4 _Globals_ScreenToCamera;
uniform highp mat4 _Sun_WorldToLocal;
varying highp vec2 xlv_TEXCOORD0;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD2;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1.w = 0.0;
  tmpvar_1.xyz = (_Globals_ScreenToCamera * _glesVertex).xyz;
  highp vec3 tmpvar_2;
  tmpvar_2 = (_Globals_CameraToWorld * tmpvar_1).xyz;
  mat3 tmpvar_3;
  tmpvar_3[0] = _Sun_WorldToLocal[0].xyz;
  tmpvar_3[1] = _Sun_WorldToLocal[1].xyz;
  tmpvar_3[2] = _Sun_WorldToLocal[2].xyz;
  highp vec4 tmpvar_4;
  tmpvar_4.zw = vec2(1.0, 1.0);
  tmpvar_4.xy = _glesVertex.xy;
  gl_Position = tmpvar_4;
  xlv_TEXCOORD0 = _glesMultiTexCoord0.xy;
  xlv_TEXCOORD1 = tmpvar_2;
  xlv_TEXCOORD2 = (tmpvar_3 * tmpvar_2);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
uniform highp float Rg;
uniform highp float Rt;
uniform highp float HR;
uniform highp vec3 betaR;
uniform highp float HM;
uniform highp vec3 betaMEx;
uniform highp float _extinctionScatterIntensity;
uniform sampler2D _Sky_Transmittance;
uniform highp float _viewdirOffset;
uniform highp vec3 _Globals_WorldCameraPos;
uniform highp vec3 _Globals_Origin;
uniform highp float _Extinction_Tint;
uniform highp float extinctionMultiplier;
uniform highp float extinctionRimFade;
varying highp vec3 xlv_TEXCOORD1;
void main ()
{
  highp vec4 tmpvar_1;
  highp float mu_2;
  highp float r_3;
  highp vec3 viewdir_4;
  highp vec3 extinction_5;
  extinction_5 = vec3(1.0, 1.0, 1.0);
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD1);
  viewdir_4.yz = tmpvar_6.yz;
  viewdir_4.x = (tmpvar_6.x + _viewdirOffset);
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(viewdir_4);
  viewdir_4 = tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_Globals_WorldCameraPos - _Globals_Origin);
  highp float tmpvar_9;
  tmpvar_9 = sqrt(dot (tmpvar_8, tmpvar_8));
  r_3 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, tmpvar_7);
  mu_2 = (tmpvar_10 / tmpvar_9);
  highp float f_11;
  f_11 = (((tmpvar_10 * tmpvar_10) - (tmpvar_9 * tmpvar_9)) + (Rt * Rt));
  highp float tmpvar_12;
  if ((f_11 >= 0.0)) {
    tmpvar_12 = sqrt(f_11);
  } else {
    tmpvar_12 = 1e+30;
  };
  highp float tmpvar_13;
  tmpvar_13 = max ((-(tmpvar_10) - tmpvar_12), 0.0);
  if ((tmpvar_13 > 0.0)) {
    mu_2 = ((tmpvar_10 + tmpvar_13) / Rt);
    r_3 = Rt;
  };
  if ((r_3 > Rt)) {
    tmpvar_1 = vec4(1.0, 1.0, 1.0, 1.0);
  } else {
    highp float tmpvar_14;
    highp float tmpvar_15;
    tmpvar_15 = dot (tmpvar_6, tmpvar_6);
    highp float tmpvar_16;
    tmpvar_16 = (2.0 * dot (tmpvar_6, (_Globals_WorldCameraPos - _Globals_Origin)));
    highp float tmpvar_17;
    tmpvar_17 = ((tmpvar_16 * tmpvar_16) - ((4.0 * tmpvar_15) * (((dot (_Globals_Origin, _Globals_Origin) + dot (_Globals_WorldCameraPos, _Globals_WorldCameraPos)) - (2.0 * dot (_Globals_Origin, _Globals_WorldCameraPos))) - (Rg * Rg))));
    if ((tmpvar_17 < 0.0)) {
      tmpvar_14 = -1.0;
    } else {
      tmpvar_14 = ((-(tmpvar_16) - sqrt(tmpvar_17)) / (2.0 * tmpvar_15));
    };
    if ((tmpvar_14 > 0.0)) {
      highp float tmpvar_18;
      highp float tmpvar_19;
      tmpvar_19 = dot (tmpvar_6, tmpvar_6);
      highp float tmpvar_20;
      tmpvar_20 = (2.0 * dot (tmpvar_6, (_Globals_WorldCameraPos - _Globals_Origin)));
      highp float tmpvar_21;
      tmpvar_21 = ((tmpvar_20 * tmpvar_20) - ((4.0 * tmpvar_19) * (((dot (_Globals_Origin, _Globals_Origin) + dot (_Globals_WorldCameraPos, _Globals_WorldCameraPos)) - (2.0 * dot (_Globals_Origin, _Globals_WorldCameraPos))) - (Rg * Rg))));
      if ((tmpvar_21 < 0.0)) {
        tmpvar_18 = -1.0;
      } else {
        tmpvar_18 = ((-(tmpvar_20) - sqrt(tmpvar_21)) / (2.0 * tmpvar_19));
      };
      highp float tmpvar_22;
      highp float tmpvar_23;
      tmpvar_23 = dot (tmpvar_6, tmpvar_6);
      highp float tmpvar_24;
      tmpvar_24 = (2.0 * dot (tmpvar_6, (_Globals_WorldCameraPos - _Globals_Origin)));
      highp float tmpvar_25;
      tmpvar_25 = ((tmpvar_24 * tmpvar_24) - ((4.0 * tmpvar_23) * (((dot (_Globals_Origin, _Globals_Origin) + dot (_Globals_WorldCameraPos, _Globals_WorldCameraPos)) - (2.0 * dot (_Globals_Origin, _Globals_WorldCameraPos))) - (Rt * Rt))));
      if ((tmpvar_25 < 0.0)) {
        tmpvar_22 = -1.0;
      } else {
        tmpvar_22 = ((-(tmpvar_24) - sqrt(tmpvar_25)) / (2.0 * tmpvar_23));
      };
      highp float tmpvar_26;
      tmpvar_26 = (tmpvar_18 - tmpvar_22);
      highp float tmpvar_27;
      highp vec2 tmpvar_28;
      tmpvar_28.x = mu_2;
      tmpvar_28.y = (mu_2 + (tmpvar_26 / r_3));
      highp vec2 tmpvar_29;
      tmpvar_29 = (sqrt(((0.5 / HR) * r_3)) * tmpvar_28);
      highp vec2 tmpvar_30;
      tmpvar_30 = sign(tmpvar_29);
      highp vec2 tmpvar_31;
      tmpvar_31 = (tmpvar_29 * tmpvar_29);
      highp float tmpvar_32;
      if ((tmpvar_30.y > tmpvar_30.x)) {
        tmpvar_32 = exp(tmpvar_31.x);
      } else {
        tmpvar_32 = 0.0;
      };
      highp vec2 tmpvar_33;
      tmpvar_33.x = 1.0;
      tmpvar_33.y = exp(((-(tmpvar_26) / HR) * ((tmpvar_26 / (2.0 * r_3)) + mu_2)));
      tmpvar_27 = ((sqrt(((6.2831 * HR) * r_3)) * exp(((Rg - r_3) / HR))) * (tmpvar_32 + dot (((tmpvar_30 / ((2.3193 * abs(tmpvar_29)) + sqrt(((1.52 * tmpvar_31) + 4.0)))) * tmpvar_33), vec2(1.0, -1.0))));
      highp vec2 tmpvar_34;
      tmpvar_34.x = mu_2;
      tmpvar_34.y = (mu_2 + (tmpvar_26 / r_3));
      highp vec2 tmpvar_35;
      tmpvar_35 = (sqrt(((0.5 / HM) * r_3)) * tmpvar_34);
      highp vec2 tmpvar_36;
      tmpvar_36 = sign(tmpvar_35);
      highp vec2 tmpvar_37;
      tmpvar_37 = (tmpvar_35 * tmpvar_35);
      highp float tmpvar_38;
      if ((tmpvar_36.y > tmpvar_36.x)) {
        tmpvar_38 = exp(tmpvar_37.x);
      } else {
        tmpvar_38 = 0.0;
      };
      highp vec2 tmpvar_39;
      tmpvar_39.x = 1.0;
      tmpvar_39.y = exp(((-(tmpvar_26) / HM) * ((tmpvar_26 / (2.0 * r_3)) + mu_2)));
      extinction_5 = exp((((-(betaR) * _extinctionScatterIntensity) * tmpvar_27) - ((betaMEx * _extinctionScatterIntensity) * ((sqrt(((6.2831 * HM) * r_3)) * exp(((Rg - r_3) / HM))) * (tmpvar_38 + dot (((tmpvar_36 / ((2.3193 * abs(tmpvar_35)) + sqrt(((1.52 * tmpvar_37) + 4.0)))) * tmpvar_39), vec2(1.0, -1.0)))))));
    } else {
      highp vec3 tmpvar_40;
      highp float y_over_x_41;
      y_over_x_41 = (((mu_2 + 0.15) / 1.15) * 14.1014);
      highp float x_42;
      x_42 = (y_over_x_41 * inversesqrt(((y_over_x_41 * y_over_x_41) + 1.0)));
      highp vec2 tmpvar_43;
      tmpvar_43.x = ((sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296))))))))) / 1.5);
      tmpvar_43.y = sqrt(((r_3 - Rg) / (Rt - Rg)));
      lowp vec4 tmpvar_44;
      tmpvar_44 = texture2DLodEXT (_Sky_Transmittance, tmpvar_43, 0.0);
      tmpvar_40 = tmpvar_44.xyz;
      extinction_5 = tmpvar_40;
    };
    extinction_5 = vec3(mix ((((extinction_5.x + extinction_5.y) + extinction_5.z) / 3.0), extinction_5.x, _Extinction_Tint));
    highp float tmpvar_45;
    highp float tmpvar_46;
    tmpvar_46 = dot (tmpvar_6, tmpvar_6);
    highp float tmpvar_47;
    tmpvar_47 = (2.0 * dot (tmpvar_6, (_Globals_WorldCameraPos - _Globals_Origin)));
    highp float tmpvar_48;
    tmpvar_48 = ((tmpvar_47 * tmpvar_47) - ((4.0 * tmpvar_46) * (((dot (_Globals_Origin, _Globals_Origin) + dot (_Globals_WorldCameraPos, _Globals_WorldCameraPos)) - (2.0 * dot (_Globals_Origin, _Globals_WorldCameraPos))) - (Rg * Rg))));
    if ((tmpvar_48 < 0.0)) {
      tmpvar_45 = -1.0;
    } else {
      tmpvar_45 = ((-(tmpvar_47) - sqrt(tmpvar_48)) / (2.0 * tmpvar_46));
    };
    bool tmpvar_49;
    tmpvar_49 = (tmpvar_45 > 0.0);
    if (!(tmpvar_49)) {
      extinction_5 = (vec3(extinctionRimFade) + ((1.0 - extinctionRimFade) * extinction_5));
    };
    highp vec4 tmpvar_50;
    tmpvar_50.w = 1.0;
    tmpvar_50.xyz = (extinctionMultiplier * extinction_5);
    tmpvar_1 = tmpvar_50;
  };
  gl_FragData[0] = tmpvar_1;
}



#endif"
}
SubProgram "gles3 " {
"!!GLES3#version 300 es


#ifdef VERTEX

in vec4 _glesVertex;
in vec4 _glesMultiTexCoord0;
uniform highp mat4 _Globals_CameraToWorld;
uniform highp mat4 _Globals_ScreenToCamera;
uniform highp mat4 _Sun_WorldToLocal;
out highp vec2 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1.w = 0.0;
  tmpvar_1.xyz = (_Globals_ScreenToCamera * _glesVertex).xyz;
  highp vec3 tmpvar_2;
  tmpvar_2 = (_Globals_CameraToWorld * tmpvar_1).xyz;
  mat3 tmpvar_3;
  tmpvar_3[0] = _Sun_WorldToLocal[0].xyz;
  tmpvar_3[1] = _Sun_WorldToLocal[1].xyz;
  tmpvar_3[2] = _Sun_WorldToLocal[2].xyz;
  highp vec4 tmpvar_4;
  tmpvar_4.zw = vec2(1.0, 1.0);
  tmpvar_4.xy = _glesVertex.xy;
  gl_Position = tmpvar_4;
  xlv_TEXCOORD0 = _glesMultiTexCoord0.xy;
  xlv_TEXCOORD1 = tmpvar_2;
  xlv_TEXCOORD2 = (tmpvar_3 * tmpvar_2);
}



#endif
#ifdef FRAGMENT

out mediump vec4 _glesFragData[4];
uniform highp float Rg;
uniform highp float Rt;
uniform highp float HR;
uniform highp vec3 betaR;
uniform highp float HM;
uniform highp vec3 betaMEx;
uniform highp float _extinctionScatterIntensity;
uniform sampler2D _Sky_Transmittance;
uniform highp float _viewdirOffset;
uniform highp vec3 _Globals_WorldCameraPos;
uniform highp vec3 _Globals_Origin;
uniform highp float _Extinction_Tint;
uniform highp float extinctionMultiplier;
uniform highp float extinctionRimFade;
in highp vec3 xlv_TEXCOORD1;
void main ()
{
  highp vec4 tmpvar_1;
  highp float mu_2;
  highp float r_3;
  highp vec3 viewdir_4;
  highp vec3 extinction_5;
  extinction_5 = vec3(1.0, 1.0, 1.0);
  highp vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD1);
  viewdir_4.yz = tmpvar_6.yz;
  viewdir_4.x = (tmpvar_6.x + _viewdirOffset);
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(viewdir_4);
  viewdir_4 = tmpvar_7;
  highp vec3 tmpvar_8;
  tmpvar_8 = (_Globals_WorldCameraPos - _Globals_Origin);
  highp float tmpvar_9;
  tmpvar_9 = sqrt(dot (tmpvar_8, tmpvar_8));
  r_3 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, tmpvar_7);
  mu_2 = (tmpvar_10 / tmpvar_9);
  highp float f_11;
  f_11 = (((tmpvar_10 * tmpvar_10) - (tmpvar_9 * tmpvar_9)) + (Rt * Rt));
  highp float tmpvar_12;
  if ((f_11 >= 0.0)) {
    tmpvar_12 = sqrt(f_11);
  } else {
    tmpvar_12 = 1e+30;
  };
  highp float tmpvar_13;
  tmpvar_13 = max ((-(tmpvar_10) - tmpvar_12), 0.0);
  if ((tmpvar_13 > 0.0)) {
    mu_2 = ((tmpvar_10 + tmpvar_13) / Rt);
    r_3 = Rt;
  };
  if ((r_3 > Rt)) {
    tmpvar_1 = vec4(1.0, 1.0, 1.0, 1.0);
  } else {
    highp float tmpvar_14;
    highp float tmpvar_15;
    tmpvar_15 = dot (tmpvar_6, tmpvar_6);
    highp float tmpvar_16;
    tmpvar_16 = (2.0 * dot (tmpvar_6, (_Globals_WorldCameraPos - _Globals_Origin)));
    highp float tmpvar_17;
    tmpvar_17 = ((tmpvar_16 * tmpvar_16) - ((4.0 * tmpvar_15) * (((dot (_Globals_Origin, _Globals_Origin) + dot (_Globals_WorldCameraPos, _Globals_WorldCameraPos)) - (2.0 * dot (_Globals_Origin, _Globals_WorldCameraPos))) - (Rg * Rg))));
    if ((tmpvar_17 < 0.0)) {
      tmpvar_14 = -1.0;
    } else {
      tmpvar_14 = ((-(tmpvar_16) - sqrt(tmpvar_17)) / (2.0 * tmpvar_15));
    };
    if ((tmpvar_14 > 0.0)) {
      highp float tmpvar_18;
      highp float tmpvar_19;
      tmpvar_19 = dot (tmpvar_6, tmpvar_6);
      highp float tmpvar_20;
      tmpvar_20 = (2.0 * dot (tmpvar_6, (_Globals_WorldCameraPos - _Globals_Origin)));
      highp float tmpvar_21;
      tmpvar_21 = ((tmpvar_20 * tmpvar_20) - ((4.0 * tmpvar_19) * (((dot (_Globals_Origin, _Globals_Origin) + dot (_Globals_WorldCameraPos, _Globals_WorldCameraPos)) - (2.0 * dot (_Globals_Origin, _Globals_WorldCameraPos))) - (Rg * Rg))));
      if ((tmpvar_21 < 0.0)) {
        tmpvar_18 = -1.0;
      } else {
        tmpvar_18 = ((-(tmpvar_20) - sqrt(tmpvar_21)) / (2.0 * tmpvar_19));
      };
      highp float tmpvar_22;
      highp float tmpvar_23;
      tmpvar_23 = dot (tmpvar_6, tmpvar_6);
      highp float tmpvar_24;
      tmpvar_24 = (2.0 * dot (tmpvar_6, (_Globals_WorldCameraPos - _Globals_Origin)));
      highp float tmpvar_25;
      tmpvar_25 = ((tmpvar_24 * tmpvar_24) - ((4.0 * tmpvar_23) * (((dot (_Globals_Origin, _Globals_Origin) + dot (_Globals_WorldCameraPos, _Globals_WorldCameraPos)) - (2.0 * dot (_Globals_Origin, _Globals_WorldCameraPos))) - (Rt * Rt))));
      if ((tmpvar_25 < 0.0)) {
        tmpvar_22 = -1.0;
      } else {
        tmpvar_22 = ((-(tmpvar_24) - sqrt(tmpvar_25)) / (2.0 * tmpvar_23));
      };
      highp float tmpvar_26;
      tmpvar_26 = (tmpvar_18 - tmpvar_22);
      highp float tmpvar_27;
      highp vec2 tmpvar_28;
      tmpvar_28.x = mu_2;
      tmpvar_28.y = (mu_2 + (tmpvar_26 / r_3));
      highp vec2 tmpvar_29;
      tmpvar_29 = (sqrt(((0.5 / HR) * r_3)) * tmpvar_28);
      highp vec2 tmpvar_30;
      tmpvar_30 = sign(tmpvar_29);
      highp vec2 tmpvar_31;
      tmpvar_31 = (tmpvar_29 * tmpvar_29);
      highp float tmpvar_32;
      if ((tmpvar_30.y > tmpvar_30.x)) {
        tmpvar_32 = exp(tmpvar_31.x);
      } else {
        tmpvar_32 = 0.0;
      };
      highp vec2 tmpvar_33;
      tmpvar_33.x = 1.0;
      tmpvar_33.y = exp(((-(tmpvar_26) / HR) * ((tmpvar_26 / (2.0 * r_3)) + mu_2)));
      tmpvar_27 = ((sqrt(((6.2831 * HR) * r_3)) * exp(((Rg - r_3) / HR))) * (tmpvar_32 + dot (((tmpvar_30 / ((2.3193 * abs(tmpvar_29)) + sqrt(((1.52 * tmpvar_31) + 4.0)))) * tmpvar_33), vec2(1.0, -1.0))));
      highp vec2 tmpvar_34;
      tmpvar_34.x = mu_2;
      tmpvar_34.y = (mu_2 + (tmpvar_26 / r_3));
      highp vec2 tmpvar_35;
      tmpvar_35 = (sqrt(((0.5 / HM) * r_3)) * tmpvar_34);
      highp vec2 tmpvar_36;
      tmpvar_36 = sign(tmpvar_35);
      highp vec2 tmpvar_37;
      tmpvar_37 = (tmpvar_35 * tmpvar_35);
      highp float tmpvar_38;
      if ((tmpvar_36.y > tmpvar_36.x)) {
        tmpvar_38 = exp(tmpvar_37.x);
      } else {
        tmpvar_38 = 0.0;
      };
      highp vec2 tmpvar_39;
      tmpvar_39.x = 1.0;
      tmpvar_39.y = exp(((-(tmpvar_26) / HM) * ((tmpvar_26 / (2.0 * r_3)) + mu_2)));
      extinction_5 = exp((((-(betaR) * _extinctionScatterIntensity) * tmpvar_27) - ((betaMEx * _extinctionScatterIntensity) * ((sqrt(((6.2831 * HM) * r_3)) * exp(((Rg - r_3) / HM))) * (tmpvar_38 + dot (((tmpvar_36 / ((2.3193 * abs(tmpvar_35)) + sqrt(((1.52 * tmpvar_37) + 4.0)))) * tmpvar_39), vec2(1.0, -1.0)))))));
    } else {
      highp vec3 tmpvar_40;
      highp float y_over_x_41;
      y_over_x_41 = (((mu_2 + 0.15) / 1.15) * 14.1014);
      highp float x_42;
      x_42 = (y_over_x_41 * inversesqrt(((y_over_x_41 * y_over_x_41) + 1.0)));
      highp vec2 tmpvar_43;
      tmpvar_43.x = ((sign(x_42) * (1.5708 - (sqrt((1.0 - abs(x_42))) * (1.5708 + (abs(x_42) * (-0.214602 + (abs(x_42) * (0.0865667 + (abs(x_42) * -0.0310296))))))))) / 1.5);
      tmpvar_43.y = sqrt(((r_3 - Rg) / (Rt - Rg)));
      lowp vec4 tmpvar_44;
      tmpvar_44 = textureLod (_Sky_Transmittance, tmpvar_43, 0.0);
      tmpvar_40 = tmpvar_44.xyz;
      extinction_5 = tmpvar_40;
    };
    extinction_5 = vec3(mix ((((extinction_5.x + extinction_5.y) + extinction_5.z) / 3.0), extinction_5.x, _Extinction_Tint));
    highp float tmpvar_45;
    highp float tmpvar_46;
    tmpvar_46 = dot (tmpvar_6, tmpvar_6);
    highp float tmpvar_47;
    tmpvar_47 = (2.0 * dot (tmpvar_6, (_Globals_WorldCameraPos - _Globals_Origin)));
    highp float tmpvar_48;
    tmpvar_48 = ((tmpvar_47 * tmpvar_47) - ((4.0 * tmpvar_46) * (((dot (_Globals_Origin, _Globals_Origin) + dot (_Globals_WorldCameraPos, _Globals_WorldCameraPos)) - (2.0 * dot (_Globals_Origin, _Globals_WorldCameraPos))) - (Rg * Rg))));
    if ((tmpvar_48 < 0.0)) {
      tmpvar_45 = -1.0;
    } else {
      tmpvar_45 = ((-(tmpvar_47) - sqrt(tmpvar_48)) / (2.0 * tmpvar_46));
    };
    bool tmpvar_49;
    tmpvar_49 = (tmpvar_45 > 0.0);
    if (!(tmpvar_49)) {
      extinction_5 = (vec3(extinctionRimFade) + ((1.0 - extinctionRimFade) * extinction_5));
    };
    highp vec4 tmpvar_50;
    tmpvar_50.w = 1.0;
    tmpvar_50.xyz = (extinctionMultiplier * extinction_5);
    tmpvar_1 = tmpvar_50;
  };
  _glesFragData[0] = tmpvar_1;
}



#endif"
}
}
Program "fp" {
SubProgram "opengl " {
"!!GLSL"
}
SubProgram "d3d9 " {
// Stats: 273 math, 2 textures, 3 branches
Float 0 [Rg]
Float 1 [Rt]
Float 2 [HR]
Vector 3 [betaR]
Float 4 [HM]
Vector 5 [betaMEx]
Float 6 [_extinctionScatterIntensity]
Float 7 [_viewdirOffset]
Vector 8 [_Globals_WorldCameraPos]
Vector 9 [_Globals_Origin]
Float 10 [_Extinction_Tint]
Float 11 [extinctionMultiplier]
Float 12 [extinctionRimFade]
SetTexture 0 [_Sky_Transmittance] 2D 0
"ps_3_0
dcl_2d s0
def c13, 1000000015047466200000000000000.00000000, 0.00000000, 1.00000000, 2.00000000
def c14, 4.00000000, -1.00000000, 6.28310013, 2.71828198
def c15, 0.50000000, 1.51999998, 4.00000000, 2.31929994
def c16, 1.00000000, -1.00000000, 0.15000001, 12.26193905
def c17, -0.01348047, 0.05747731, -0.12123910, 0.19563590
def c18, -0.33299461, 0.99999559, 1.57079601, 0.66666669
def c19, 0.33333334, 0, 0, 0
dcl_texcoord1 v0.xyz
mov r1.xyz, c8
add r3.xyz, -c9, r1
dp3 r2.w, r3, r3
dp3 r2.x, v0, v0
rsq r2.x, r2.x
mul r1.xyz, r2.x, v0
mov r2.yz, r1
add r2.x, r1, c7
dp3 r3.w, r2, r2
rsq r4.x, r3.w
mul r2.xyz, r4.x, r2
dp3 r2.x, r3, r2
rsq r2.w, r2.w
rcp r3.w, r2.w
mul r4.x, r3.w, r3.w
mad r2.y, r2.x, r2.x, -r4.x
mad r2.y, c1.x, c1.x, r2
rsq r2.z, r2.y
rcp r2.z, r2.z
cmp r2.y, r2, r2.z, c13.x
add r2.y, -r2.x, -r2
max r2.y, r2, c13
add r3.x, r2.y, r2
cmp r3.z, -r2.y, r3.w, c1.x
add r2.z, r3, -c1.x
rcp r3.y, c1.x
mul r2.x, r2.w, r2
mul r3.x, r3, r3.y
cmp r4.w, -r2.y, r2.x, r3.x
cmp_pp r2.x, -r2.z, c13.z, c13.y
cmp oC0, -r2.z, r0, c13.z
if_gt r2.x, c13.y
mov r2.xyz, c9
mov r0.xyz, c8
add r0.xyz, -c9, r0
dp3 r0.x, r1, r0
dp3 r2.x, c8, r2
mul r0.x, r0, c13.w
dp3 r3.x, c8, c8
dp3 r2.w, c9, c9
add r2.w, r2, r3.x
mad r2.x, -r2, c13.w, r2.w
mad r2.y, -c0.x, c0.x, r2.x
dp3 r2.x, r1, r1
mul r2.y, r2.x, r2
mul r0.y, r2, c14.x
mad r0.y, r0.x, r0.x, -r0
rsq r0.z, r0.y
rcp r0.z, r0.z
mul r2.x, r2, c13.w
add r0.x, -r0, -r0.z
rcp r2.x, r2.x
mul r0.z, r0.x, r2.x
cmp_pp r0.x, r0.y, c13.z, c13.y
cmp r0.y, r0, r0.w, c14
cmp r0.x, -r0, r0.y, r0.z
if_gt r0.x, c13.y
mov r0.xyz, c8
add r2.xyz, -c9, r0
mov r0.xyz, c9
dp3 r0.x, c8, r0
rcp r3.w, c2.x
dp3 r3.x, c8, c8
dp3 r2.w, c9, c9
add r2.w, r2, r3.x
mad r0.z, -r0.x, c13.w, r2.w
dp3 r0.x, r1, r2
dp3 r2.x, r1, r1
mad r0.y, -c1.x, c1.x, r0.z
mul r2.y, r2.x, r0
mul r0.y, r0.x, c13.w
mul r0.x, r2.y, c14
mad r0.x, r0.y, r0.y, -r0
rsq r2.y, r0.x
mad r0.z, -c0.x, c0.x, r0
mul r0.z, r2.x, r0
rcp r2.z, r2.y
mul r0.z, r0, c14.x
mad r2.y, r0, r0, -r0.z
add r0.z, -r0.y, -r2
rsq r2.z, r2.y
mul r2.w, r2.x, c13
rcp r2.x, r2.z
add r0.y, -r0, -r2.x
rcp r2.z, r2.w
mul r2.w, r0.y, r2.z
cmp r2.x, r2.y, r0.w, c14.y
cmp_pp r0.y, r2, c13.z, c13
cmp r0.y, -r0, r2.x, r2.w
mul r2.x, r2.z, r0.z
cmp_pp r0.z, r0.x, c13, c13.y
cmp r0.x, r0, r0.w, c14.y
cmp r0.z, -r0, r0.x, r2.x
add r4.z, r0.y, -r0
mul r0.x, r3.z, r3.w
rcp r0.y, r3.z
mul r0.x, r0, c15
rsq r0.x, r0.x
mad r2.y, r4.z, r0, r4.w
mov r2.x, r4.w
rcp r0.x, r0.x
mul r0.xy, r0.x, r2
mul r3.xy, r0, r0
mad r0.zw, r3.xyxy, c15.y, c15.z
mul r3.y, r3.z, c13.w
rsq r0.z, r0.z
rsq r0.w, r0.w
rcp r3.y, r3.y
mad r3.y, r4.z, r3, r4.w
cmp r4.xy, r0, c13.y, c13.z
cmp r2.zw, -r0.xyxy, c13.y, c13.z
add r2.zw, r2, -r4.xyxy
abs r0.xy, r0
rcp r0.z, r0.z
rcp r0.w, r0.w
mad r4.xy, r0, c15.w, r0.zwzw
mul r0.x, r3.w, -r4.z
mul r4.w, r0.x, r3.y
pow r0, c14.w, r4.w
add r4.w, -r3.z, c0.x
rcp r4.x, r4.x
rcp r4.y, r4.y
mul r0.zw, r2, r4.xyxy
mov r0.x, c13.z
mul r0.xy, r0.zwzw, r0
mul r0.xy, r0, c16
add r4.x, r0, r0.y
pow r0, c14.w, r3.x
rcp r3.x, c4.x
add r2.z, r2.w, -r2
cmp r0.x, -r2.z, c13.y, r0
mul r0.y, r3.z, r3.x
mul r4.z, -r4, r3.x
mul r0.y, r0, c15.x
add r4.x, r0, r4
rsq r0.y, r0.y
rcp r0.x, r0.y
mul r2.zw, r2.xyxy, r0.x
mul r2.y, r4.w, r3.w
pow r0, c14.w, r2.y
mul r2.x, r3.z, c2
mul r0.y, r2.x, c14.z
mov r0.z, r0.x
rsq r0.y, r0.y
rcp r0.x, r0.y
mul r0.x, r0, r0.z
mul r3.w, r0.x, r4.x
cmp r0.zw, r2, c13.y, c13.z
cmp r0.xy, -r2.zwzw, c13.y, c13.z
add r2.xy, r0, -r0.zwzw
mul r4.xy, r2.zwzw, r2.zwzw
mad r0.xy, r4, c15.y, c15.z
rsq r0.y, r0.y
rsq r0.x, r0.x
abs r0.zw, r2
rcp r0.y, r0.y
rcp r0.x, r0.x
mad r2.zw, r0, c15.w, r0.xyxy
mul r3.y, r3, r4.z
pow r0, c14.w, r3.y
rcp r2.z, r2.z
rcp r2.w, r2.w
mul r0.zw, r2.xyxy, r2
mov r0.x, c13.z
mul r2.zw, r0, r0.xyxy
pow r0, c14.w, r4.x
mul r0.zw, r2, c16.xyxy
mov r0.y, r0.x
add r0.x, r2.y, -r2
mul r2.y, r4.w, r3.x
mul r2.x, r3.z, c4
add r0.z, r0, r0.w
cmp r0.x, -r0, c13.y, r0.y
add r2.z, r0.x, r0
pow r0, c14.w, r2.y
mul r0.y, r2.x, c14.z
mov r0.z, r0.x
rsq r0.y, r0.y
rcp r0.x, r0.y
mul r0.x, r0, r0.z
mul r0.w, r0.x, r2.z
mov r2.xyz, c5
mov r0.xyz, c3
mul r2.xyz, c6.x, r2
mul r2.xyz, r2, r0.w
mul r0.xyz, c6.x, -r0
mad r2.xyz, r0, r3.w, -r2
pow r0, c14.w, r2.x
pow r3, c14.w, r2.z
mov r2.x, r0
pow r0, c14.w, r2.y
mov r2.y, r0
mov r2.z, r3
else
add r0.x, r4.w, c16.z
mul r0.x, r0, c16.w
abs r0.y, r0.x
max r0.z, r0.y, c13
rcp r0.w, r0.z
min r0.z, r0.y, c13
mul r0.z, r0, r0.w
mul r0.w, r0.z, r0.z
mad r2.x, r0.w, c17, c17.y
mad r2.x, r2, r0.w, c17.z
mad r2.x, r2, r0.w, c17.w
mad r2.x, r2, r0.w, c18
mad r0.w, r2.x, r0, c18.y
mul r0.z, r0.w, r0
add r0.w, -r0.z, c18.z
add r0.y, r0, c14
cmp r0.y, -r0, r0.z, r0.w
cmp r0.x, r0, r0.y, -r0.y
mov r2.x, c1
add r0.z, -c0.x, r2.x
rcp r0.z, r0.z
add r0.y, r3.z, -c0.x
mul r0.y, r0, r0.z
rsq r0.y, r0.y
mul r0.x, r0, c18.w
mov r0.z, c13.y
rcp r0.y, r0.y
texldl r2.xyz, r0.xyzz, s0
endif
mov r0.xyz, c9
dp3 r2.w, c8, c8
dp3 r0.w, c9, c9
add r0.w, r0, r2
dp3 r0.x, c8, r0
mad r0.w, -r0.x, c13, r0
mad r2.w, -c0.x, c0.x, r0
dp3 r0.w, r1, r1
mul r2.w, r0, r2
mov r3.xyz, c8
add r0.xyz, -c9, r3
dp3 r0.x, r1, r0
mul r0.w, r0, c13
mul r0.x, r0, c13.w
mul r0.y, r2.w, c14.x
mad r0.y, r0.x, r0.x, -r0
rsq r0.z, r0.y
rcp r0.z, r0.z
add r0.x, -r0, -r0.z
rcp r0.w, r0.w
mul r0.z, r0.x, r0.w
cmp_pp r0.x, r0.y, c13.z, c13.y
cmp r0.y, r0, r1.w, c14
cmp r0.x, -r0, r0.y, r0.z
add r0.w, r2.x, r2.y
add r0.y, r0.w, r2.z
cmp r0.x, -r0, c13.y, c13.z
mad r0.z, -r0.y, c19.x, r2.x
mul r0.w, r0.y, c19.x
mov r0.y, c12.x
mad r0.z, r0, c10.x, r0.w
add r0.y, c13.z, -r0
mad r0.y, r0, r0.z, c12.x
abs_pp r0.x, r0
cmp r0.x, -r0, r0.y, r0.z
mul oC0.xyz, r0.x, c11.x
mov oC0.w, c13.z
endif
"
}
SubProgram "d3d11 " {
// Stats: 152 math, 4 branches
SetTexture 0 [_Sky_Transmittance] 2D 0
ConstBuffer "$Globals" 400
Float 24 [Rg]
Float 28 [Rt]
Float 36 [HR]
Vector 48 [betaR] 3
Float 60 [HM]
Vector 80 [betaMEx] 3
Float 100 [_extinctionScatterIntensity]
Float 140 [_viewdirOffset]
Vector 288 [_Globals_WorldCameraPos] 3
Vector 304 [_Globals_Origin] 3
Float 316 [_Extinction_Tint]
Float 320 [extinctionMultiplier]
Float 324 [extinctionRimFade]
BindCB  "$Globals" 0
"ps_4_0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"
}
SubProgram "gles " {
"!!GLES"
}
SubProgram "glesdesktop " {
"!!GLES"
}
SubProgram "gles3 " {
"!!GLES3"
}
}
 }


 // Stats for Vertex shader:
 //       d3d11 : 10 math
 //        d3d9 : 14 math
 // Stats for Fragment shader:
 //       d3d11 : 157 math
 //        d3d9 : 227 math, 8 texture
 Pass {
  Tags { "QUEUE"="Geometry+1" "IGNOREPROJECTOR"="true" }
  ZTest False
  ZWrite Off
  Cull Front
  Blend One One
Program "vp" {
SubProgram "opengl " {
"!!GLSL
#ifdef VERTEX
uniform mat4 _Globals_CameraToWorld;
uniform mat4 _Globals_ScreenToCamera;
uniform mat4 _Sun_WorldToLocal;
varying vec2 xlv_TEXCOORD0;
varying vec3 xlv_TEXCOORD1;
varying vec3 xlv_TEXCOORD2;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1.w = 0.0;
  tmpvar_1.xyz = (_Globals_ScreenToCamera * gl_Vertex).xyz;
  vec3 tmpvar_2;
  tmpvar_2 = (_Globals_CameraToWorld * tmpvar_1).xyz;
  mat3 tmpvar_3;
  tmpvar_3[0] = _Sun_WorldToLocal[0].xyz;
  tmpvar_3[1] = _Sun_WorldToLocal[1].xyz;
  tmpvar_3[2] = _Sun_WorldToLocal[2].xyz;
  vec4 tmpvar_4;
  tmpvar_4.zw = vec2(1.0, 1.0);
  tmpvar_4.xy = gl_Vertex.xy;
  gl_Position = tmpvar_4;
  xlv_TEXCOORD0 = gl_MultiTexCoord0.xy;
  xlv_TEXCOORD1 = tmpvar_2;
  xlv_TEXCOORD2 = (tmpvar_3 * tmpvar_2);
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
uniform float _Exposure;
uniform float Rg;
uniform float Rt;
uniform vec3 betaR;
uniform float mieG;
uniform float _experimentalAtmoScale;
uniform float RES_R;
uniform float RES_MU;
uniform float RES_MU_S;
uniform float RES_NU;
uniform float _Sun_Intensity;
uniform sampler2D _Sky_Inscatter;
uniform float _viewdirOffset;
uniform float _Alpha_Global;
uniform vec3 _Globals_WorldCameraPos;
uniform vec3 _Globals_Origin;
uniform float _RimExposure;
uniform vec3 _Sun_WorldSunDir;
float xlat_mutable_Exposure;
varying vec3 xlv_TEXCOORD1;
void main ()
{
  xlat_mutable_Exposure = _Exposure;
  vec3 tmpvar_1;
  tmpvar_1 = normalize(xlv_TEXCOORD1);
  float tmpvar_2;
  float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, tmpvar_1);
  float tmpvar_4;
  tmpvar_4 = (2.0 * dot (tmpvar_1, (_Globals_WorldCameraPos - _Globals_Origin)));
  float tmpvar_5;
  tmpvar_5 = ((tmpvar_4 * tmpvar_4) - ((4.0 * tmpvar_3) * (((dot (_Globals_Origin, _Globals_Origin) + dot (_Globals_WorldCameraPos, _Globals_WorldCameraPos)) - (2.0 * dot (_Globals_Origin, _Globals_WorldCameraPos))) - (Rg * Rg))));
  if ((tmpvar_5 < 0.0)) {
    tmpvar_2 = -1.0;
  } else {
    tmpvar_2 = ((-(tmpvar_4) - sqrt(tmpvar_5)) / (2.0 * tmpvar_3));
  };
  bool tmpvar_6;
  tmpvar_6 = (tmpvar_2 > 0.0);
  if (!(tmpvar_6)) {
    xlat_mutable_Exposure = _RimExposure;
  };
  vec3 camera_7;
  camera_7 = (_Globals_WorldCameraPos - _Globals_Origin);
  vec3 viewdir_8;
  viewdir_8.yz = tmpvar_1.yz;
  float rMu_9;
  float r_10;
  vec3 result_11;
  result_11 = vec3(0.0, 0.0, 0.0);
  float tmpvar_12;
  tmpvar_12 = (Rg + ((Rt - Rg) * _experimentalAtmoScale));
  viewdir_8.x = (tmpvar_1.x + _viewdirOffset);
  vec3 tmpvar_13;
  tmpvar_13 = normalize(viewdir_8);
  viewdir_8 = tmpvar_13;
  float tmpvar_14;
  tmpvar_14 = sqrt(dot (camera_7, camera_7));
  r_10 = tmpvar_14;
  float tmpvar_15;
  tmpvar_15 = dot (camera_7, tmpvar_13);
  rMu_9 = tmpvar_15;
  float f_16;
  f_16 = (((tmpvar_15 * tmpvar_15) - (tmpvar_14 * tmpvar_14)) + (tmpvar_12 * tmpvar_12));
  float tmpvar_17;
  if ((f_16 >= 0.0)) {
    tmpvar_17 = sqrt(f_16);
  } else {
    tmpvar_17 = 1e+30;
  };
  float tmpvar_18;
  tmpvar_18 = max ((-(tmpvar_15) - tmpvar_17), 0.0);
  if ((tmpvar_18 > 0.0)) {
    camera_7 = (camera_7 + (tmpvar_18 * tmpvar_13));
    rMu_9 = (tmpvar_15 + tmpvar_18);
    r_10 = tmpvar_12;
  };
  float tmpvar_19;
  tmpvar_19 = dot (tmpvar_13, _Sun_WorldSunDir);
  float tmpvar_20;
  tmpvar_20 = (dot (camera_7, _Sun_WorldSunDir) / r_10);
  vec4 tmpvar_21;
  float uMu_22;
  float uR_23;
  float tmpvar_24;
  tmpvar_24 = sqrt(((tmpvar_12 * tmpvar_12) - (Rg * Rg)));
  float tmpvar_25;
  tmpvar_25 = sqrt(((r_10 * r_10) - (Rg * Rg)));
  float tmpvar_26;
  tmpvar_26 = (r_10 * (rMu_9 / r_10));
  float tmpvar_27;
  tmpvar_27 = (((tmpvar_26 * tmpvar_26) - (r_10 * r_10)) + (Rg * Rg));
  vec4 tmpvar_28;
  if (((tmpvar_26 < 0.0) && (tmpvar_27 > 0.0))) {
    vec4 tmpvar_29;
    tmpvar_29.xyz = vec3(1.0, 0.0, 0.0);
    tmpvar_29.w = (0.5 - (0.5 / RES_MU));
    tmpvar_28 = tmpvar_29;
  } else {
    vec4 tmpvar_30;
    tmpvar_30.x = -1.0;
    tmpvar_30.y = (tmpvar_24 * tmpvar_24);
    tmpvar_30.z = tmpvar_24;
    tmpvar_30.w = (0.5 + (0.5 / RES_MU));
    tmpvar_28 = tmpvar_30;
  };
  uR_23 = ((0.5 / RES_R) + ((tmpvar_25 / tmpvar_24) * (1.0 - (1.0/(RES_R)))));
  uMu_22 = (tmpvar_28.w + ((((tmpvar_26 * tmpvar_28.x) + sqrt((tmpvar_27 + tmpvar_28.y))) / (tmpvar_25 + tmpvar_28.z)) * (0.5 - (1.0/(RES_MU)))));
  float y_over_x_31;
  y_over_x_31 = (max (tmpvar_20, -0.1975) * 5.34962);
  float x_32;
  x_32 = (y_over_x_31 * inversesqrt(((y_over_x_31 * y_over_x_31) + 1.0)));
  float tmpvar_33;
  tmpvar_33 = ((0.5 / RES_MU_S) + (((((sign(x_32) * (1.5708 - (sqrt((1.0 - abs(x_32))) * (1.5708 + (abs(x_32) * (-0.214602 + (abs(x_32) * (0.0865667 + (abs(x_32) * -0.0310296))))))))) / 1.1) + 0.74) * 0.5) * (1.0 - (1.0/(RES_MU_S)))));
  float tmpvar_34;
  tmpvar_34 = (((tmpvar_19 + 1.0) / 2.0) * (RES_NU - 1.0));
  float tmpvar_35;
  tmpvar_35 = floor(tmpvar_34);
  float tmpvar_36;
  tmpvar_36 = (tmpvar_34 - tmpvar_35);
  float tmpvar_37;
  tmpvar_37 = (floor(((uR_23 * RES_R) - 1.0)) / RES_R);
  float tmpvar_38;
  tmpvar_38 = (floor((uR_23 * RES_R)) / RES_R);
  float tmpvar_39;
  tmpvar_39 = fract((uR_23 * RES_R));
  vec4 tmpvar_40;
  tmpvar_40.zw = vec2(0.0, 0.0);
  tmpvar_40.x = ((tmpvar_35 + tmpvar_33) / RES_NU);
  tmpvar_40.y = ((uMu_22 / RES_R) + tmpvar_37);
  vec4 tmpvar_41;
  tmpvar_41.zw = vec2(0.0, 0.0);
  tmpvar_41.x = (((tmpvar_35 + tmpvar_33) + 1.0) / RES_NU);
  tmpvar_41.y = ((uMu_22 / RES_R) + tmpvar_37);
  vec4 tmpvar_42;
  tmpvar_42.zw = vec2(0.0, 0.0);
  tmpvar_42.x = ((tmpvar_35 + tmpvar_33) / RES_NU);
  tmpvar_42.y = ((uMu_22 / RES_R) + tmpvar_38);
  vec4 tmpvar_43;
  tmpvar_43.zw = vec2(0.0, 0.0);
  tmpvar_43.x = (((tmpvar_35 + tmpvar_33) + 1.0) / RES_NU);
  tmpvar_43.y = ((uMu_22 / RES_R) + tmpvar_38);
  tmpvar_21 = ((((texture2DLod (_Sky_Inscatter, tmpvar_40.xy, 0.0) * (1.0 - tmpvar_36)) + (texture2DLod (_Sky_Inscatter, tmpvar_41.xy, 0.0) * tmpvar_36)) * (1.0 - tmpvar_39)) + (((texture2DLod (_Sky_Inscatter, tmpvar_42.xy, 0.0) * (1.0 - tmpvar_36)) + (texture2DLod (_Sky_Inscatter, tmpvar_43.xy, 0.0) * tmpvar_36)) * tmpvar_39));
  if ((r_10 <= tmpvar_12)) {
    result_11 = ((tmpvar_21.xyz * (0.0596831 * (1.0 + (tmpvar_19 * tmpvar_19)))) + ((((tmpvar_21.xyz * tmpvar_21.w) / max (tmpvar_21.x, 0.0001)) * (betaR.x / betaR)) * ((((0.119366 * (1.0 - (mieG * mieG))) * pow (((1.0 + (mieG * mieG)) - ((2.0 * mieG) * tmpvar_19)), -1.5)) * (1.0 + (tmpvar_19 * tmpvar_19))) / (2.0 + (mieG * mieG)))));
  } else {
    result_11 = vec3(0.0, 0.0, 0.0);
  };
  vec3 L_44;
  vec3 tmpvar_45;
  tmpvar_45 = ((result_11 * _Sun_Intensity) * xlat_mutable_Exposure);
  L_44 = tmpvar_45;
  float tmpvar_46;
  if ((tmpvar_45.x < 1.413)) {
    tmpvar_46 = pow ((tmpvar_45.x * 0.38317), 0.454545);
  } else {
    tmpvar_46 = (1.0 - exp(-(tmpvar_45.x)));
  };
  L_44.x = tmpvar_46;
  float tmpvar_47;
  if ((tmpvar_45.y < 1.413)) {
    tmpvar_47 = pow ((tmpvar_45.y * 0.38317), 0.454545);
  } else {
    tmpvar_47 = (1.0 - exp(-(tmpvar_45.y)));
  };
  L_44.y = tmpvar_47;
  float tmpvar_48;
  if ((tmpvar_45.z < 1.413)) {
    tmpvar_48 = pow ((tmpvar_45.z * 0.38317), 0.454545);
  } else {
    tmpvar_48 = (1.0 - exp(-(tmpvar_45.z)));
  };
  L_44.z = tmpvar_48;
  vec4 tmpvar_49;
  tmpvar_49.w = 1.0;
  tmpvar_49.xyz = (_Alpha_Global * L_44);
  gl_FragData[0] = tmpvar_49;
}


#endif
"
}
SubProgram "d3d9 " {
// Stats: 14 math
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
Matrix 0 [_Globals_CameraToWorld]
Matrix 4 [_Globals_ScreenToCamera]
Matrix 8 [_Sun_WorldToLocal]
"vs_3_0
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
def c12, 0.00000000, 1.00000000, 0, 0
dcl_position0 v0
dcl_texcoord0 v1
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mov r1.w, c12.x
dp4 r1.z, v0, c6
dp4 r0.z, r1, c2
dp4 r0.x, r1, c0
dp4 r0.y, r1, c1
mov o2.xyz, r0
dp3 o3.z, r0, c10
dp3 o3.y, r0, c9
dp3 o3.x, r0, c8
mov o0.xy, v0
mov o0.zw, c12.y
mov o1.xy, v1
"
}
SubProgram "d3d11 " {
// Stats: 10 math
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
ConstBuffer "$Globals" 400
Matrix 160 [_Globals_CameraToWorld]
Matrix 224 [_Globals_ScreenToCamera]
Matrix 336 [_Sun_WorldToLocal]
BindCB  "$Globals" 0
"vs_4_0
eefiecedfmmahmidcmnmanilkgoeemfplcidcoepabaaaaaaheadaaaaadaaaaaa
cmaaaaaakaaaaaaaciabaaaaejfdeheogmaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahaaaaaagaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apadaaaafaepfdejfeejepeoaaeoepfcenebemaafeeffiedepepfceeaaklklkl
epfdeheoiaaaaaaaaeaaaaaaaiaaaaaagiaaaaaaaaaaaaaaabaaaaaaadaaaaaa
aaaaaaaaapaaaaaaheaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaadamaaaa
heaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaaahaiaaaaheaaaaaaacaaaaaa
aaaaaaaaadaaaaaaadaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaafeeffied
epepfceeaaklklklfdeieefceeacaaaaeaaaabaajbaaaaaafjaaaaaeegiocaaa
aaaaaaaabiaaaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaaddcbabaaaacaaaaaa
ghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaaddccabaaaabaaaaaagfaaaaad
hccabaaaacaaaaaagfaaaaadhccabaaaadaaaaaagiaaaaacacaaaaaadgaaaaaf
dccabaaaaaaaaaaaegbabaaaaaaaaaaadgaaaaaimccabaaaaaaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaiadpaaaaiadpdgaaaaafdccabaaaabaaaaaaegbabaaa
acaaaaaadiaaaaaihcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaaaaaaaaaa
apaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaaaaaaaaaaoaaaaaaagbabaaa
aaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaaaaaaaaa
baaaaaaakgbkbaaaaaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaa
egiccaaaaaaaaaaabbaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaadiaaaaai
hcaabaaaabaaaaaafgafbaaaaaaaaaaaegiccaaaaaaaaaaaalaaaaaadcaaaaak
lcaabaaaaaaaaaaaegiicaaaaaaaaaaaakaaaaaaagaabaaaaaaaaaaaegaibaaa
abaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaaaaaaaaaamaaaaaakgakbaaa
aaaaaaaaegadbaaaaaaaaaaadgaaaaafhccabaaaacaaaaaaegacbaaaaaaaaaaa
diaaaaaihcaabaaaabaaaaaafgafbaaaaaaaaaaaegiccaaaaaaaaaaabgaaaaaa
dcaaaaaklcaabaaaaaaaaaaaegiicaaaaaaaaaaabfaaaaaaagaabaaaaaaaaaaa
egaibaaaabaaaaaadcaaaaakhccabaaaadaaaaaaegiccaaaaaaaaaaabhaaaaaa
kgakbaaaaaaaaaaaegadbaaaaaaaaaaadoaaaaab"
}
SubProgram "gles " {
"!!GLES


#ifdef VERTEX

attribute vec4 _glesVertex;
attribute vec4 _glesMultiTexCoord0;
uniform highp mat4 _Globals_CameraToWorld;
uniform highp mat4 _Globals_ScreenToCamera;
uniform highp mat4 _Sun_WorldToLocal;
varying highp vec2 xlv_TEXCOORD0;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD2;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1.w = 0.0;
  tmpvar_1.xyz = (_Globals_ScreenToCamera * _glesVertex).xyz;
  highp vec3 tmpvar_2;
  tmpvar_2 = (_Globals_CameraToWorld * tmpvar_1).xyz;
  mat3 tmpvar_3;
  tmpvar_3[0] = _Sun_WorldToLocal[0].xyz;
  tmpvar_3[1] = _Sun_WorldToLocal[1].xyz;
  tmpvar_3[2] = _Sun_WorldToLocal[2].xyz;
  highp vec4 tmpvar_4;
  tmpvar_4.zw = vec2(1.0, 1.0);
  tmpvar_4.xy = _glesVertex.xy;
  gl_Position = tmpvar_4;
  xlv_TEXCOORD0 = _glesMultiTexCoord0.xy;
  xlv_TEXCOORD1 = tmpvar_2;
  xlv_TEXCOORD2 = (tmpvar_3 * tmpvar_2);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
uniform highp float _Exposure;
uniform highp float Rg;
uniform highp float Rt;
uniform highp vec3 betaR;
uniform highp float mieG;
uniform highp float _experimentalAtmoScale;
uniform highp float RES_R;
uniform highp float RES_MU;
uniform highp float RES_MU_S;
uniform highp float RES_NU;
uniform highp float _Sun_Intensity;
uniform sampler2D _Sky_Inscatter;
uniform highp float _viewdirOffset;
uniform highp float _Alpha_Global;
uniform highp vec3 _Globals_WorldCameraPos;
uniform highp vec3 _Globals_Origin;
uniform highp float _RimExposure;
uniform highp vec3 _Sun_WorldSunDir;
highp float xlat_mutable_Exposure;
varying highp vec3 xlv_TEXCOORD1;
void main ()
{
  xlat_mutable_Exposure = _Exposure;
  highp vec3 tmpvar_1;
  tmpvar_1 = normalize(xlv_TEXCOORD1);
  highp float tmpvar_2;
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, tmpvar_1);
  highp float tmpvar_4;
  tmpvar_4 = (2.0 * dot (tmpvar_1, (_Globals_WorldCameraPos - _Globals_Origin)));
  highp float tmpvar_5;
  tmpvar_5 = ((tmpvar_4 * tmpvar_4) - ((4.0 * tmpvar_3) * (((dot (_Globals_Origin, _Globals_Origin) + dot (_Globals_WorldCameraPos, _Globals_WorldCameraPos)) - (2.0 * dot (_Globals_Origin, _Globals_WorldCameraPos))) - (Rg * Rg))));
  if ((tmpvar_5 < 0.0)) {
    tmpvar_2 = -1.0;
  } else {
    tmpvar_2 = ((-(tmpvar_4) - sqrt(tmpvar_5)) / (2.0 * tmpvar_3));
  };
  bool tmpvar_6;
  tmpvar_6 = (tmpvar_2 > 0.0);
  if (!(tmpvar_6)) {
    xlat_mutable_Exposure = _RimExposure;
  };
  highp vec3 camera_7;
  camera_7 = (_Globals_WorldCameraPos - _Globals_Origin);
  highp vec3 viewdir_8;
  viewdir_8.yz = tmpvar_1.yz;
  highp float rMu_9;
  highp float r_10;
  highp vec3 result_11;
  result_11 = vec3(0.0, 0.0, 0.0);
  highp float tmpvar_12;
  tmpvar_12 = (Rg + ((Rt - Rg) * _experimentalAtmoScale));
  viewdir_8.x = (tmpvar_1.x + _viewdirOffset);
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(viewdir_8);
  viewdir_8 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = sqrt(dot (camera_7, camera_7));
  r_10 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = dot (camera_7, tmpvar_13);
  rMu_9 = tmpvar_15;
  highp float f_16;
  f_16 = (((tmpvar_15 * tmpvar_15) - (tmpvar_14 * tmpvar_14)) + (tmpvar_12 * tmpvar_12));
  highp float tmpvar_17;
  if ((f_16 >= 0.0)) {
    tmpvar_17 = sqrt(f_16);
  } else {
    tmpvar_17 = 1e+30;
  };
  highp float tmpvar_18;
  tmpvar_18 = max ((-(tmpvar_15) - tmpvar_17), 0.0);
  if ((tmpvar_18 > 0.0)) {
    camera_7 = (camera_7 + (tmpvar_18 * tmpvar_13));
    rMu_9 = (tmpvar_15 + tmpvar_18);
    r_10 = tmpvar_12;
  };
  highp float tmpvar_19;
  tmpvar_19 = dot (tmpvar_13, _Sun_WorldSunDir);
  highp float tmpvar_20;
  tmpvar_20 = (dot (camera_7, _Sun_WorldSunDir) / r_10);
  highp vec4 tmpvar_21;
  highp float uMu_22;
  highp float uR_23;
  highp float tmpvar_24;
  tmpvar_24 = sqrt(((tmpvar_12 * tmpvar_12) - (Rg * Rg)));
  highp float tmpvar_25;
  tmpvar_25 = sqrt(((r_10 * r_10) - (Rg * Rg)));
  highp float tmpvar_26;
  tmpvar_26 = (r_10 * (rMu_9 / r_10));
  highp float tmpvar_27;
  tmpvar_27 = (((tmpvar_26 * tmpvar_26) - (r_10 * r_10)) + (Rg * Rg));
  highp vec4 tmpvar_28;
  if (((tmpvar_26 < 0.0) && (tmpvar_27 > 0.0))) {
    highp vec4 tmpvar_29;
    tmpvar_29.xyz = vec3(1.0, 0.0, 0.0);
    tmpvar_29.w = (0.5 - (0.5 / RES_MU));
    tmpvar_28 = tmpvar_29;
  } else {
    highp vec4 tmpvar_30;
    tmpvar_30.x = -1.0;
    tmpvar_30.y = (tmpvar_24 * tmpvar_24);
    tmpvar_30.z = tmpvar_24;
    tmpvar_30.w = (0.5 + (0.5 / RES_MU));
    tmpvar_28 = tmpvar_30;
  };
  uR_23 = ((0.5 / RES_R) + ((tmpvar_25 / tmpvar_24) * (1.0 - (1.0/(RES_R)))));
  uMu_22 = (tmpvar_28.w + ((((tmpvar_26 * tmpvar_28.x) + sqrt((tmpvar_27 + tmpvar_28.y))) / (tmpvar_25 + tmpvar_28.z)) * (0.5 - (1.0/(RES_MU)))));
  highp float y_over_x_31;
  y_over_x_31 = (max (tmpvar_20, -0.1975) * 5.34962);
  highp float x_32;
  x_32 = (y_over_x_31 * inversesqrt(((y_over_x_31 * y_over_x_31) + 1.0)));
  highp float tmpvar_33;
  tmpvar_33 = ((0.5 / RES_MU_S) + (((((sign(x_32) * (1.5708 - (sqrt((1.0 - abs(x_32))) * (1.5708 + (abs(x_32) * (-0.214602 + (abs(x_32) * (0.0865667 + (abs(x_32) * -0.0310296))))))))) / 1.1) + 0.74) * 0.5) * (1.0 - (1.0/(RES_MU_S)))));
  highp float tmpvar_34;
  tmpvar_34 = (((tmpvar_19 + 1.0) / 2.0) * (RES_NU - 1.0));
  highp float tmpvar_35;
  tmpvar_35 = floor(tmpvar_34);
  highp float tmpvar_36;
  tmpvar_36 = (tmpvar_34 - tmpvar_35);
  highp float tmpvar_37;
  tmpvar_37 = (floor(((uR_23 * RES_R) - 1.0)) / RES_R);
  highp float tmpvar_38;
  tmpvar_38 = (floor((uR_23 * RES_R)) / RES_R);
  highp float tmpvar_39;
  tmpvar_39 = fract((uR_23 * RES_R));
  highp vec4 tmpvar_40;
  tmpvar_40.zw = vec2(0.0, 0.0);
  tmpvar_40.x = ((tmpvar_35 + tmpvar_33) / RES_NU);
  tmpvar_40.y = ((uMu_22 / RES_R) + tmpvar_37);
  lowp vec4 tmpvar_41;
  tmpvar_41 = texture2DLodEXT (_Sky_Inscatter, tmpvar_40.xy, 0.0);
  highp vec4 tmpvar_42;
  tmpvar_42.zw = vec2(0.0, 0.0);
  tmpvar_42.x = (((tmpvar_35 + tmpvar_33) + 1.0) / RES_NU);
  tmpvar_42.y = ((uMu_22 / RES_R) + tmpvar_37);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DLodEXT (_Sky_Inscatter, tmpvar_42.xy, 0.0);
  highp vec4 tmpvar_44;
  tmpvar_44.zw = vec2(0.0, 0.0);
  tmpvar_44.x = ((tmpvar_35 + tmpvar_33) / RES_NU);
  tmpvar_44.y = ((uMu_22 / RES_R) + tmpvar_38);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DLodEXT (_Sky_Inscatter, tmpvar_44.xy, 0.0);
  highp vec4 tmpvar_46;
  tmpvar_46.zw = vec2(0.0, 0.0);
  tmpvar_46.x = (((tmpvar_35 + tmpvar_33) + 1.0) / RES_NU);
  tmpvar_46.y = ((uMu_22 / RES_R) + tmpvar_38);
  lowp vec4 tmpvar_47;
  tmpvar_47 = texture2DLodEXT (_Sky_Inscatter, tmpvar_46.xy, 0.0);
  tmpvar_21 = ((((tmpvar_41 * (1.0 - tmpvar_36)) + (tmpvar_43 * tmpvar_36)) * (1.0 - tmpvar_39)) + (((tmpvar_45 * (1.0 - tmpvar_36)) + (tmpvar_47 * tmpvar_36)) * tmpvar_39));
  if ((r_10 <= tmpvar_12)) {
    result_11 = ((tmpvar_21.xyz * (0.0596831 * (1.0 + (tmpvar_19 * tmpvar_19)))) + ((((tmpvar_21.xyz * tmpvar_21.w) / max (tmpvar_21.x, 0.0001)) * (betaR.x / betaR)) * ((((0.119366 * (1.0 - (mieG * mieG))) * pow (((1.0 + (mieG * mieG)) - ((2.0 * mieG) * tmpvar_19)), -1.5)) * (1.0 + (tmpvar_19 * tmpvar_19))) / (2.0 + (mieG * mieG)))));
  } else {
    result_11 = vec3(0.0, 0.0, 0.0);
  };
  highp vec3 L_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = ((result_11 * _Sun_Intensity) * xlat_mutable_Exposure);
  L_48 = tmpvar_49;
  highp float tmpvar_50;
  if ((tmpvar_49.x < 1.413)) {
    tmpvar_50 = pow ((tmpvar_49.x * 0.38317), 0.454545);
  } else {
    tmpvar_50 = (1.0 - exp(-(tmpvar_49.x)));
  };
  L_48.x = tmpvar_50;
  highp float tmpvar_51;
  if ((tmpvar_49.y < 1.413)) {
    tmpvar_51 = pow ((tmpvar_49.y * 0.38317), 0.454545);
  } else {
    tmpvar_51 = (1.0 - exp(-(tmpvar_49.y)));
  };
  L_48.y = tmpvar_51;
  highp float tmpvar_52;
  if ((tmpvar_49.z < 1.413)) {
    tmpvar_52 = pow ((tmpvar_49.z * 0.38317), 0.454545);
  } else {
    tmpvar_52 = (1.0 - exp(-(tmpvar_49.z)));
  };
  L_48.z = tmpvar_52;
  highp vec4 tmpvar_53;
  tmpvar_53.w = 1.0;
  tmpvar_53.xyz = (_Alpha_Global * L_48);
  gl_FragData[0] = tmpvar_53;
}



#endif"
}
SubProgram "glesdesktop " {
"!!GLES


#ifdef VERTEX

attribute vec4 _glesVertex;
attribute vec4 _glesMultiTexCoord0;
uniform highp mat4 _Globals_CameraToWorld;
uniform highp mat4 _Globals_ScreenToCamera;
uniform highp mat4 _Sun_WorldToLocal;
varying highp vec2 xlv_TEXCOORD0;
varying highp vec3 xlv_TEXCOORD1;
varying highp vec3 xlv_TEXCOORD2;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1.w = 0.0;
  tmpvar_1.xyz = (_Globals_ScreenToCamera * _glesVertex).xyz;
  highp vec3 tmpvar_2;
  tmpvar_2 = (_Globals_CameraToWorld * tmpvar_1).xyz;
  mat3 tmpvar_3;
  tmpvar_3[0] = _Sun_WorldToLocal[0].xyz;
  tmpvar_3[1] = _Sun_WorldToLocal[1].xyz;
  tmpvar_3[2] = _Sun_WorldToLocal[2].xyz;
  highp vec4 tmpvar_4;
  tmpvar_4.zw = vec2(1.0, 1.0);
  tmpvar_4.xy = _glesVertex.xy;
  gl_Position = tmpvar_4;
  xlv_TEXCOORD0 = _glesMultiTexCoord0.xy;
  xlv_TEXCOORD1 = tmpvar_2;
  xlv_TEXCOORD2 = (tmpvar_3 * tmpvar_2);
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
uniform highp float _Exposure;
uniform highp float Rg;
uniform highp float Rt;
uniform highp vec3 betaR;
uniform highp float mieG;
uniform highp float _experimentalAtmoScale;
uniform highp float RES_R;
uniform highp float RES_MU;
uniform highp float RES_MU_S;
uniform highp float RES_NU;
uniform highp float _Sun_Intensity;
uniform sampler2D _Sky_Inscatter;
uniform highp float _viewdirOffset;
uniform highp float _Alpha_Global;
uniform highp vec3 _Globals_WorldCameraPos;
uniform highp vec3 _Globals_Origin;
uniform highp float _RimExposure;
uniform highp vec3 _Sun_WorldSunDir;
highp float xlat_mutable_Exposure;
varying highp vec3 xlv_TEXCOORD1;
void main ()
{
  xlat_mutable_Exposure = _Exposure;
  highp vec3 tmpvar_1;
  tmpvar_1 = normalize(xlv_TEXCOORD1);
  highp float tmpvar_2;
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, tmpvar_1);
  highp float tmpvar_4;
  tmpvar_4 = (2.0 * dot (tmpvar_1, (_Globals_WorldCameraPos - _Globals_Origin)));
  highp float tmpvar_5;
  tmpvar_5 = ((tmpvar_4 * tmpvar_4) - ((4.0 * tmpvar_3) * (((dot (_Globals_Origin, _Globals_Origin) + dot (_Globals_WorldCameraPos, _Globals_WorldCameraPos)) - (2.0 * dot (_Globals_Origin, _Globals_WorldCameraPos))) - (Rg * Rg))));
  if ((tmpvar_5 < 0.0)) {
    tmpvar_2 = -1.0;
  } else {
    tmpvar_2 = ((-(tmpvar_4) - sqrt(tmpvar_5)) / (2.0 * tmpvar_3));
  };
  bool tmpvar_6;
  tmpvar_6 = (tmpvar_2 > 0.0);
  if (!(tmpvar_6)) {
    xlat_mutable_Exposure = _RimExposure;
  };
  highp vec3 camera_7;
  camera_7 = (_Globals_WorldCameraPos - _Globals_Origin);
  highp vec3 viewdir_8;
  viewdir_8.yz = tmpvar_1.yz;
  highp float rMu_9;
  highp float r_10;
  highp vec3 result_11;
  result_11 = vec3(0.0, 0.0, 0.0);
  highp float tmpvar_12;
  tmpvar_12 = (Rg + ((Rt - Rg) * _experimentalAtmoScale));
  viewdir_8.x = (tmpvar_1.x + _viewdirOffset);
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(viewdir_8);
  viewdir_8 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = sqrt(dot (camera_7, camera_7));
  r_10 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = dot (camera_7, tmpvar_13);
  rMu_9 = tmpvar_15;
  highp float f_16;
  f_16 = (((tmpvar_15 * tmpvar_15) - (tmpvar_14 * tmpvar_14)) + (tmpvar_12 * tmpvar_12));
  highp float tmpvar_17;
  if ((f_16 >= 0.0)) {
    tmpvar_17 = sqrt(f_16);
  } else {
    tmpvar_17 = 1e+30;
  };
  highp float tmpvar_18;
  tmpvar_18 = max ((-(tmpvar_15) - tmpvar_17), 0.0);
  if ((tmpvar_18 > 0.0)) {
    camera_7 = (camera_7 + (tmpvar_18 * tmpvar_13));
    rMu_9 = (tmpvar_15 + tmpvar_18);
    r_10 = tmpvar_12;
  };
  highp float tmpvar_19;
  tmpvar_19 = dot (tmpvar_13, _Sun_WorldSunDir);
  highp float tmpvar_20;
  tmpvar_20 = (dot (camera_7, _Sun_WorldSunDir) / r_10);
  highp vec4 tmpvar_21;
  highp float uMu_22;
  highp float uR_23;
  highp float tmpvar_24;
  tmpvar_24 = sqrt(((tmpvar_12 * tmpvar_12) - (Rg * Rg)));
  highp float tmpvar_25;
  tmpvar_25 = sqrt(((r_10 * r_10) - (Rg * Rg)));
  highp float tmpvar_26;
  tmpvar_26 = (r_10 * (rMu_9 / r_10));
  highp float tmpvar_27;
  tmpvar_27 = (((tmpvar_26 * tmpvar_26) - (r_10 * r_10)) + (Rg * Rg));
  highp vec4 tmpvar_28;
  if (((tmpvar_26 < 0.0) && (tmpvar_27 > 0.0))) {
    highp vec4 tmpvar_29;
    tmpvar_29.xyz = vec3(1.0, 0.0, 0.0);
    tmpvar_29.w = (0.5 - (0.5 / RES_MU));
    tmpvar_28 = tmpvar_29;
  } else {
    highp vec4 tmpvar_30;
    tmpvar_30.x = -1.0;
    tmpvar_30.y = (tmpvar_24 * tmpvar_24);
    tmpvar_30.z = tmpvar_24;
    tmpvar_30.w = (0.5 + (0.5 / RES_MU));
    tmpvar_28 = tmpvar_30;
  };
  uR_23 = ((0.5 / RES_R) + ((tmpvar_25 / tmpvar_24) * (1.0 - (1.0/(RES_R)))));
  uMu_22 = (tmpvar_28.w + ((((tmpvar_26 * tmpvar_28.x) + sqrt((tmpvar_27 + tmpvar_28.y))) / (tmpvar_25 + tmpvar_28.z)) * (0.5 - (1.0/(RES_MU)))));
  highp float y_over_x_31;
  y_over_x_31 = (max (tmpvar_20, -0.1975) * 5.34962);
  highp float x_32;
  x_32 = (y_over_x_31 * inversesqrt(((y_over_x_31 * y_over_x_31) + 1.0)));
  highp float tmpvar_33;
  tmpvar_33 = ((0.5 / RES_MU_S) + (((((sign(x_32) * (1.5708 - (sqrt((1.0 - abs(x_32))) * (1.5708 + (abs(x_32) * (-0.214602 + (abs(x_32) * (0.0865667 + (abs(x_32) * -0.0310296))))))))) / 1.1) + 0.74) * 0.5) * (1.0 - (1.0/(RES_MU_S)))));
  highp float tmpvar_34;
  tmpvar_34 = (((tmpvar_19 + 1.0) / 2.0) * (RES_NU - 1.0));
  highp float tmpvar_35;
  tmpvar_35 = floor(tmpvar_34);
  highp float tmpvar_36;
  tmpvar_36 = (tmpvar_34 - tmpvar_35);
  highp float tmpvar_37;
  tmpvar_37 = (floor(((uR_23 * RES_R) - 1.0)) / RES_R);
  highp float tmpvar_38;
  tmpvar_38 = (floor((uR_23 * RES_R)) / RES_R);
  highp float tmpvar_39;
  tmpvar_39 = fract((uR_23 * RES_R));
  highp vec4 tmpvar_40;
  tmpvar_40.zw = vec2(0.0, 0.0);
  tmpvar_40.x = ((tmpvar_35 + tmpvar_33) / RES_NU);
  tmpvar_40.y = ((uMu_22 / RES_R) + tmpvar_37);
  lowp vec4 tmpvar_41;
  tmpvar_41 = texture2DLodEXT (_Sky_Inscatter, tmpvar_40.xy, 0.0);
  highp vec4 tmpvar_42;
  tmpvar_42.zw = vec2(0.0, 0.0);
  tmpvar_42.x = (((tmpvar_35 + tmpvar_33) + 1.0) / RES_NU);
  tmpvar_42.y = ((uMu_22 / RES_R) + tmpvar_37);
  lowp vec4 tmpvar_43;
  tmpvar_43 = texture2DLodEXT (_Sky_Inscatter, tmpvar_42.xy, 0.0);
  highp vec4 tmpvar_44;
  tmpvar_44.zw = vec2(0.0, 0.0);
  tmpvar_44.x = ((tmpvar_35 + tmpvar_33) / RES_NU);
  tmpvar_44.y = ((uMu_22 / RES_R) + tmpvar_38);
  lowp vec4 tmpvar_45;
  tmpvar_45 = texture2DLodEXT (_Sky_Inscatter, tmpvar_44.xy, 0.0);
  highp vec4 tmpvar_46;
  tmpvar_46.zw = vec2(0.0, 0.0);
  tmpvar_46.x = (((tmpvar_35 + tmpvar_33) + 1.0) / RES_NU);
  tmpvar_46.y = ((uMu_22 / RES_R) + tmpvar_38);
  lowp vec4 tmpvar_47;
  tmpvar_47 = texture2DLodEXT (_Sky_Inscatter, tmpvar_46.xy, 0.0);
  tmpvar_21 = ((((tmpvar_41 * (1.0 - tmpvar_36)) + (tmpvar_43 * tmpvar_36)) * (1.0 - tmpvar_39)) + (((tmpvar_45 * (1.0 - tmpvar_36)) + (tmpvar_47 * tmpvar_36)) * tmpvar_39));
  if ((r_10 <= tmpvar_12)) {
    result_11 = ((tmpvar_21.xyz * (0.0596831 * (1.0 + (tmpvar_19 * tmpvar_19)))) + ((((tmpvar_21.xyz * tmpvar_21.w) / max (tmpvar_21.x, 0.0001)) * (betaR.x / betaR)) * ((((0.119366 * (1.0 - (mieG * mieG))) * pow (((1.0 + (mieG * mieG)) - ((2.0 * mieG) * tmpvar_19)), -1.5)) * (1.0 + (tmpvar_19 * tmpvar_19))) / (2.0 + (mieG * mieG)))));
  } else {
    result_11 = vec3(0.0, 0.0, 0.0);
  };
  highp vec3 L_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = ((result_11 * _Sun_Intensity) * xlat_mutable_Exposure);
  L_48 = tmpvar_49;
  highp float tmpvar_50;
  if ((tmpvar_49.x < 1.413)) {
    tmpvar_50 = pow ((tmpvar_49.x * 0.38317), 0.454545);
  } else {
    tmpvar_50 = (1.0 - exp(-(tmpvar_49.x)));
  };
  L_48.x = tmpvar_50;
  highp float tmpvar_51;
  if ((tmpvar_49.y < 1.413)) {
    tmpvar_51 = pow ((tmpvar_49.y * 0.38317), 0.454545);
  } else {
    tmpvar_51 = (1.0 - exp(-(tmpvar_49.y)));
  };
  L_48.y = tmpvar_51;
  highp float tmpvar_52;
  if ((tmpvar_49.z < 1.413)) {
    tmpvar_52 = pow ((tmpvar_49.z * 0.38317), 0.454545);
  } else {
    tmpvar_52 = (1.0 - exp(-(tmpvar_49.z)));
  };
  L_48.z = tmpvar_52;
  highp vec4 tmpvar_53;
  tmpvar_53.w = 1.0;
  tmpvar_53.xyz = (_Alpha_Global * L_48);
  gl_FragData[0] = tmpvar_53;
}



#endif"
}
SubProgram "gles3 " {
"!!GLES3#version 300 es


#ifdef VERTEX

in vec4 _glesVertex;
in vec4 _glesMultiTexCoord0;
uniform highp mat4 _Globals_CameraToWorld;
uniform highp mat4 _Globals_ScreenToCamera;
uniform highp mat4 _Sun_WorldToLocal;
out highp vec2 xlv_TEXCOORD0;
out highp vec3 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD2;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1.w = 0.0;
  tmpvar_1.xyz = (_Globals_ScreenToCamera * _glesVertex).xyz;
  highp vec3 tmpvar_2;
  tmpvar_2 = (_Globals_CameraToWorld * tmpvar_1).xyz;
  mat3 tmpvar_3;
  tmpvar_3[0] = _Sun_WorldToLocal[0].xyz;
  tmpvar_3[1] = _Sun_WorldToLocal[1].xyz;
  tmpvar_3[2] = _Sun_WorldToLocal[2].xyz;
  highp vec4 tmpvar_4;
  tmpvar_4.zw = vec2(1.0, 1.0);
  tmpvar_4.xy = _glesVertex.xy;
  gl_Position = tmpvar_4;
  xlv_TEXCOORD0 = _glesMultiTexCoord0.xy;
  xlv_TEXCOORD1 = tmpvar_2;
  xlv_TEXCOORD2 = (tmpvar_3 * tmpvar_2);
}



#endif
#ifdef FRAGMENT

out mediump vec4 _glesFragData[4];
uniform highp float _Exposure;
uniform highp float Rg;
uniform highp float Rt;
uniform highp vec3 betaR;
uniform highp float mieG;
uniform highp float _experimentalAtmoScale;
uniform highp float RES_R;
uniform highp float RES_MU;
uniform highp float RES_MU_S;
uniform highp float RES_NU;
uniform highp float _Sun_Intensity;
uniform sampler2D _Sky_Inscatter;
uniform highp float _viewdirOffset;
uniform highp float _Alpha_Global;
uniform highp vec3 _Globals_WorldCameraPos;
uniform highp vec3 _Globals_Origin;
uniform highp float _RimExposure;
uniform highp vec3 _Sun_WorldSunDir;
highp float xlat_mutable_Exposure;
in highp vec3 xlv_TEXCOORD1;
void main ()
{
  xlat_mutable_Exposure = _Exposure;
  highp vec3 tmpvar_1;
  tmpvar_1 = normalize(xlv_TEXCOORD1);
  highp float tmpvar_2;
  highp float tmpvar_3;
  tmpvar_3 = dot (tmpvar_1, tmpvar_1);
  highp float tmpvar_4;
  tmpvar_4 = (2.0 * dot (tmpvar_1, (_Globals_WorldCameraPos - _Globals_Origin)));
  highp float tmpvar_5;
  tmpvar_5 = ((tmpvar_4 * tmpvar_4) - ((4.0 * tmpvar_3) * (((dot (_Globals_Origin, _Globals_Origin) + dot (_Globals_WorldCameraPos, _Globals_WorldCameraPos)) - (2.0 * dot (_Globals_Origin, _Globals_WorldCameraPos))) - (Rg * Rg))));
  if ((tmpvar_5 < 0.0)) {
    tmpvar_2 = -1.0;
  } else {
    tmpvar_2 = ((-(tmpvar_4) - sqrt(tmpvar_5)) / (2.0 * tmpvar_3));
  };
  bool tmpvar_6;
  tmpvar_6 = (tmpvar_2 > 0.0);
  if (!(tmpvar_6)) {
    xlat_mutable_Exposure = _RimExposure;
  };
  highp vec3 camera_7;
  camera_7 = (_Globals_WorldCameraPos - _Globals_Origin);
  highp vec3 viewdir_8;
  viewdir_8.yz = tmpvar_1.yz;
  highp float rMu_9;
  highp float r_10;
  highp vec3 result_11;
  result_11 = vec3(0.0, 0.0, 0.0);
  highp float tmpvar_12;
  tmpvar_12 = (Rg + ((Rt - Rg) * _experimentalAtmoScale));
  viewdir_8.x = (tmpvar_1.x + _viewdirOffset);
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(viewdir_8);
  viewdir_8 = tmpvar_13;
  highp float tmpvar_14;
  tmpvar_14 = sqrt(dot (camera_7, camera_7));
  r_10 = tmpvar_14;
  highp float tmpvar_15;
  tmpvar_15 = dot (camera_7, tmpvar_13);
  rMu_9 = tmpvar_15;
  highp float f_16;
  f_16 = (((tmpvar_15 * tmpvar_15) - (tmpvar_14 * tmpvar_14)) + (tmpvar_12 * tmpvar_12));
  highp float tmpvar_17;
  if ((f_16 >= 0.0)) {
    tmpvar_17 = sqrt(f_16);
  } else {
    tmpvar_17 = 1e+30;
  };
  highp float tmpvar_18;
  tmpvar_18 = max ((-(tmpvar_15) - tmpvar_17), 0.0);
  if ((tmpvar_18 > 0.0)) {
    camera_7 = (camera_7 + (tmpvar_18 * tmpvar_13));
    rMu_9 = (tmpvar_15 + tmpvar_18);
    r_10 = tmpvar_12;
  };
  highp float tmpvar_19;
  tmpvar_19 = dot (tmpvar_13, _Sun_WorldSunDir);
  highp float tmpvar_20;
  tmpvar_20 = (dot (camera_7, _Sun_WorldSunDir) / r_10);
  highp vec4 tmpvar_21;
  highp float uMu_22;
  highp float uR_23;
  highp float tmpvar_24;
  tmpvar_24 = sqrt(((tmpvar_12 * tmpvar_12) - (Rg * Rg)));
  highp float tmpvar_25;
  tmpvar_25 = sqrt(((r_10 * r_10) - (Rg * Rg)));
  highp float tmpvar_26;
  tmpvar_26 = (r_10 * (rMu_9 / r_10));
  highp float tmpvar_27;
  tmpvar_27 = (((tmpvar_26 * tmpvar_26) - (r_10 * r_10)) + (Rg * Rg));
  highp vec4 tmpvar_28;
  if (((tmpvar_26 < 0.0) && (tmpvar_27 > 0.0))) {
    highp vec4 tmpvar_29;
    tmpvar_29.xyz = vec3(1.0, 0.0, 0.0);
    tmpvar_29.w = (0.5 - (0.5 / RES_MU));
    tmpvar_28 = tmpvar_29;
  } else {
    highp vec4 tmpvar_30;
    tmpvar_30.x = -1.0;
    tmpvar_30.y = (tmpvar_24 * tmpvar_24);
    tmpvar_30.z = tmpvar_24;
    tmpvar_30.w = (0.5 + (0.5 / RES_MU));
    tmpvar_28 = tmpvar_30;
  };
  uR_23 = ((0.5 / RES_R) + ((tmpvar_25 / tmpvar_24) * (1.0 - (1.0/(RES_R)))));
  uMu_22 = (tmpvar_28.w + ((((tmpvar_26 * tmpvar_28.x) + sqrt((tmpvar_27 + tmpvar_28.y))) / (tmpvar_25 + tmpvar_28.z)) * (0.5 - (1.0/(RES_MU)))));
  highp float y_over_x_31;
  y_over_x_31 = (max (tmpvar_20, -0.1975) * 5.34962);
  highp float x_32;
  x_32 = (y_over_x_31 * inversesqrt(((y_over_x_31 * y_over_x_31) + 1.0)));
  highp float tmpvar_33;
  tmpvar_33 = ((0.5 / RES_MU_S) + (((((sign(x_32) * (1.5708 - (sqrt((1.0 - abs(x_32))) * (1.5708 + (abs(x_32) * (-0.214602 + (abs(x_32) * (0.0865667 + (abs(x_32) * -0.0310296))))))))) / 1.1) + 0.74) * 0.5) * (1.0 - (1.0/(RES_MU_S)))));
  highp float tmpvar_34;
  tmpvar_34 = (((tmpvar_19 + 1.0) / 2.0) * (RES_NU - 1.0));
  highp float tmpvar_35;
  tmpvar_35 = floor(tmpvar_34);
  highp float tmpvar_36;
  tmpvar_36 = (tmpvar_34 - tmpvar_35);
  highp float tmpvar_37;
  tmpvar_37 = (floor(((uR_23 * RES_R) - 1.0)) / RES_R);
  highp float tmpvar_38;
  tmpvar_38 = (floor((uR_23 * RES_R)) / RES_R);
  highp float tmpvar_39;
  tmpvar_39 = fract((uR_23 * RES_R));
  highp vec4 tmpvar_40;
  tmpvar_40.zw = vec2(0.0, 0.0);
  tmpvar_40.x = ((tmpvar_35 + tmpvar_33) / RES_NU);
  tmpvar_40.y = ((uMu_22 / RES_R) + tmpvar_37);
  lowp vec4 tmpvar_41;
  tmpvar_41 = textureLod (_Sky_Inscatter, tmpvar_40.xy, 0.0);
  highp vec4 tmpvar_42;
  tmpvar_42.zw = vec2(0.0, 0.0);
  tmpvar_42.x = (((tmpvar_35 + tmpvar_33) + 1.0) / RES_NU);
  tmpvar_42.y = ((uMu_22 / RES_R) + tmpvar_37);
  lowp vec4 tmpvar_43;
  tmpvar_43 = textureLod (_Sky_Inscatter, tmpvar_42.xy, 0.0);
  highp vec4 tmpvar_44;
  tmpvar_44.zw = vec2(0.0, 0.0);
  tmpvar_44.x = ((tmpvar_35 + tmpvar_33) / RES_NU);
  tmpvar_44.y = ((uMu_22 / RES_R) + tmpvar_38);
  lowp vec4 tmpvar_45;
  tmpvar_45 = textureLod (_Sky_Inscatter, tmpvar_44.xy, 0.0);
  highp vec4 tmpvar_46;
  tmpvar_46.zw = vec2(0.0, 0.0);
  tmpvar_46.x = (((tmpvar_35 + tmpvar_33) + 1.0) / RES_NU);
  tmpvar_46.y = ((uMu_22 / RES_R) + tmpvar_38);
  lowp vec4 tmpvar_47;
  tmpvar_47 = textureLod (_Sky_Inscatter, tmpvar_46.xy, 0.0);
  tmpvar_21 = ((((tmpvar_41 * (1.0 - tmpvar_36)) + (tmpvar_43 * tmpvar_36)) * (1.0 - tmpvar_39)) + (((tmpvar_45 * (1.0 - tmpvar_36)) + (tmpvar_47 * tmpvar_36)) * tmpvar_39));
  if ((r_10 <= tmpvar_12)) {
    result_11 = ((tmpvar_21.xyz * (0.0596831 * (1.0 + (tmpvar_19 * tmpvar_19)))) + ((((tmpvar_21.xyz * tmpvar_21.w) / max (tmpvar_21.x, 0.0001)) * (betaR.x / betaR)) * ((((0.119366 * (1.0 - (mieG * mieG))) * pow (((1.0 + (mieG * mieG)) - ((2.0 * mieG) * tmpvar_19)), -1.5)) * (1.0 + (tmpvar_19 * tmpvar_19))) / (2.0 + (mieG * mieG)))));
  } else {
    result_11 = vec3(0.0, 0.0, 0.0);
  };
  highp vec3 L_48;
  highp vec3 tmpvar_49;
  tmpvar_49 = ((result_11 * _Sun_Intensity) * xlat_mutable_Exposure);
  L_48 = tmpvar_49;
  highp float tmpvar_50;
  if ((tmpvar_49.x < 1.413)) {
    tmpvar_50 = pow ((tmpvar_49.x * 0.38317), 0.454545);
  } else {
    tmpvar_50 = (1.0 - exp(-(tmpvar_49.x)));
  };
  L_48.x = tmpvar_50;
  highp float tmpvar_51;
  if ((tmpvar_49.y < 1.413)) {
    tmpvar_51 = pow ((tmpvar_49.y * 0.38317), 0.454545);
  } else {
    tmpvar_51 = (1.0 - exp(-(tmpvar_49.y)));
  };
  L_48.y = tmpvar_51;
  highp float tmpvar_52;
  if ((tmpvar_49.z < 1.413)) {
    tmpvar_52 = pow ((tmpvar_49.z * 0.38317), 0.454545);
  } else {
    tmpvar_52 = (1.0 - exp(-(tmpvar_49.z)));
  };
  L_48.z = tmpvar_52;
  highp vec4 tmpvar_53;
  tmpvar_53.w = 1.0;
  tmpvar_53.xyz = (_Alpha_Global * L_48);
  _glesFragData[0] = tmpvar_53;
}



#endif"
}
}
Program "fp" {
SubProgram "opengl " {
"!!GLSL"
}
SubProgram "d3d9 " {
// Stats: 227 math, 8 textures
Float 0 [_Exposure]
Float 1 [Rg]
Float 2 [Rt]
Vector 3 [betaR]
Float 4 [mieG]
Float 5 [_experimentalAtmoScale]
Float 6 [RES_R]
Float 7 [RES_MU]
Float 8 [RES_MU_S]
Float 9 [RES_NU]
Float 10 [_Sun_Intensity]
Float 11 [_viewdirOffset]
Float 12 [_Alpha_Global]
Vector 13 [_Globals_WorldCameraPos]
Vector 14 [_Globals_Origin]
Float 15 [_RimExposure]
Vector 16 [_Sun_WorldSunDir]
SetTexture 0 [_Sky_Inscatter] 2D 0
"ps_3_0
dcl_2d s0
def c17, 1000000015047466200000000000000.00000000, 0.00000000, 1.00000000, -0.19750001
def c18, 5.34960032, -1.00000000, -0.01348047, 0.05747731
def c19, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c20, 1.57079601, 0.90909088, 0.74000001, 0.50000000
def c21, 0.05968311, 2.00000000, -1.50000000, 0.00010000
def c22, 0.11936623, 4.00000000, -1.41299999, 2.71828198
def c23, 0.38317001, 0.45454544, 0, 0
dcl_texcoord1 v0.xyz
mov r1.xyz, c13
add r3.xyz, -c14, r1
rcp r6.y, c7.x
dp3 r1.x, r3, r3
rsq r1.y, r1.x
rcp r1.w, r1.y
dp3 r0.x, v0, v0
rsq r0.x, r0.x
mul r4.xyz, r0.x, v0
mov r1.x, c2
add r1.x, -c1, r1
mul r1.x, r1, c5
add r4.w, r1.x, c1.x
mul r5.y, c1.x, c1.x
mad r2.w, r6.y, c20, c20
mov r0.yz, r4
add r0.x, r4, c11
dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul r0.xyz, r0.w, r0
dp3 r0.w, r3, r0
mul r1.y, r1.w, r1.w
mad r1.y, r0.w, r0.w, -r1
mad r1.x, r4.w, r4.w, r1.y
rsq r1.y, r1.x
rcp r1.y, r1.y
cmp r1.x, r1, r1.y, c17
add r1.x, -r0.w, -r1
max r2.x, r1, c17.y
mad r1.xyz, r2.x, r0, r3
cmp r1.xyz, -r2.x, r3, r1
cmp r5.w, -r2.x, r1, r4
dp3 r6.w, r0, c16
dp3 r1.x, r1, c16
rcp r1.w, r5.w
mul r1.x, r1, r1.w
max r1.x, r1, c17.w
mul r1.x, r1, c18
abs r1.y, r1.x
max r1.z, r1.y, c17
rcp r1.w, r1.z
min r1.z, r1.y, c17
mul r1.z, r1, r1.w
mul r1.w, r1.z, r1.z
mad r2.y, r1.w, c18.z, c18.w
mad r2.y, r2, r1.w, c19.x
mad r2.y, r2, r1.w, c19
mad r2.y, r2, r1.w, c19.z
mad r1.w, r2.y, r1, c19
mul r1.z, r1.w, r1
add r1.w, -r1.z, c20.x
add r1.y, r1, c18
cmp r1.y, -r1, r1.z, r1.w
cmp r1.x, r1, r1.y, -r1.y
mov r1.y, c9.x
add r0.y, c18, r1
add r0.x, r6.w, c17.z
mul r0.y, r0.x, r0
mad r0.x, r1, c20.y, c20.z
mul r1.x, r0.y, c20.w
frc r7.y, r1.x
rcp r0.y, c8.x
add r0.z, -r0.y, c17
mad r0.x, r0, r0.z, r0.y
mad r0.z, r4.w, r4.w, -r5.y
add r1.x, r1, -r7.y
mad r1.w, r0.x, c20, r1.x
add r0.x, r2, r0.w
cmp r1.y, -r2.x, r0.w, r0.x
rsq r5.z, r0.z
rcp r0.w, r5.z
add r0.y, r1.w, c17.z
rcp r5.x, c9.x
mul r1.x, r5, r0.y
mul r0.y, r5.w, r5.w
mad r0.y, r1, r1, -r0
mad r1.z, c1.x, c1.x, r0.y
cmp r0.x, r1.y, c17.y, c17.z
cmp r0.y, -r1.z, c17, c17.z
mul_pp r6.x, r0, r0.y
mul r2.y, r0.w, r0.w
mov r2.z, r0.w
mul r5.x, r1.w, r5
mov r2.x, c18.y
mad r0.w, -r6.y, c20, c20
mov r0.xyz, c17.zyyw
cmp r0, -r6.x, r2, r0
add r0.y, r0, r1.z
rsq r1.z, r0.y
mad r2.x, r5.w, r5.w, -r5.y
rsq r0.y, r2.x
rcp r2.x, c6.x
rcp r0.y, r0.y
mul r2.y, r5.z, r0
add r2.z, -r2.x, c17
mul r2.y, r2, r2.z
rcp r1.z, r1.z
add r0.y, r0.z, r0
mad r1.y, r1, r0.x, r1.z
mad r2.y, r2.x, c20.w, r2
mul r0.x, r2.y, c6
add r0.z, r0.x, c18.y
rcp r0.y, r0.y
frc r7.x, r0
frc r1.z, r0
mul r0.y, r1, r0
add r1.y, r0.z, -r1.z
mul r1.z, r1.y, r2.x
add r0.z, -r6.y, c20.w
mad r1.y, r0, r0.z, r0.w
mad r6.y, r1, r2.x, r1.z
add r1.z, r0.x, -r7.x
mul r2.y, r2.x, r1.z
mad r1.y, r1, r2.x, r2
mov r1.z, c17.y
texldl r2, r1.xyzz, s0
mov r5.y, r1
mov r6.x, r1
mov r6.z, c17.y
mov r5.z, c17.y
texldl r1, r5.xyzz, s0
texldl r0, r6.xyzz, s0
mul r2, r7.y, r2
add r5.y, -r7, c17.z
mad r1, r5.y, r1, r2
mul r2, r7.y, r0
mov r0.x, r5
mov r0.z, c17.y
mov r0.y, r6
texldl r0, r0.xyzz, s0
mad r0, r0, r5.y, r2
add r2.x, -r7, c17.z
mul r1, r7.x, r1
mad r1, r0, r2.x, r1
mul r0.xyz, r1, r1.w
max r1.w, r1.x, c21
rcp r1.w, r1.w
mul r2.xyz, r0, r1.w
mul r0.w, r6, c4.x
mul r0.w, r0, c21.y
mad r0.w, c4.x, c4.x, -r0
add r1.w, r0, c17.z
rcp r0.x, c3.x
rcp r0.z, c3.z
rcp r0.y, c3.y
mul r0.xyz, r0, c3.x
mul r2.xyz, r2, r0
pow r0, r1.w, c21.z
mad r0.w, r6, r6, c17.z
mul r0.y, -c4.x, c4.x
mov r0.z, r0.x
add r0.x, r0.y, c17.z
add r1.w, -r0.y, c21.y
mul r0.x, r0, r0.z
rcp r0.y, r1.w
mul r0.x, r0.w, r0
mul r1.xyz, r0.w, r1
mul r0.x, r0, r0.y
mul r0.xyz, r0.x, r2
mul r0.xyz, r0, c22.x
mad r1.xyz, r1, c21.x, r0
mov r0.xyz, c14
dp3 r0.x, c13, r0
dp3 r0.z, r4, r4
mul r2.x, r0.z, c21.y
dp3 r1.w, c13, c13
dp3 r0.w, c14, c14
add r0.w, r0, r1
mad r0.y, -r0.x, c21, r0.w
mad r0.y, -c1.x, c1.x, r0
mul r0.w, r0.z, r0.y
dp3 r0.y, r3, r4
add r0.x, -r5.w, r4.w
cmp r0.x, r0, c17.z, c17.y
mul r0.y, r0, c21
mul r0.w, r0, c22.y
mad r0.w, r0.y, r0.y, -r0
rsq r1.w, r0.w
rcp r0.z, r1.w
add r0.y, -r0, -r0.z
rcp r1.w, r2.x
mul r1.w, r0.y, r1
cmp_pp r0.y, r0.w, c17.z, c17
cmp r0.z, r0.w, r3.w, c18.y
cmp r0.w, -r0.y, r0.z, r1
abs_pp r0.x, r0
cmp r0.xyz, -r0.x, c17.y, r1
cmp r0.w, -r0, c17.y, c17.z
mov r1.x, c0
abs_pp r0.w, r0
cmp r0.w, -r0, c15.x, r1.x
mul r0.xyz, r0, c10.x
mul r2.xyz, r0, r0.w
mul r3.x, r2.z, c23
pow r0, r3.x, c23.y
pow r1, c22.w, -r2.z
add r2.w, r2.z, c22.z
mov r0.y, r1.x
mov r0.z, r0.x
mul r3.x, r2, c23
pow r1, r3.x, c23.y
add r0.x, -r0.y, c17.z
cmp r2.z, r2.w, r0.x, r0
pow r0, c22.w, -r2.x
add r2.w, r2.x, c22.z
mov r0.y, r1.x
add r0.x, -r0, c17.z
cmp r2.x, r2.w, r0, r0.y
pow r0, c22.w, -r2.y
mul r3.x, r2.y, c23
pow r1, r3.x, c23.y
add r2.w, r2.y, c22.z
mov r0.y, r1.x
add r0.x, -r0, c17.z
cmp r2.y, r2.w, r0.x, r0
mul oC0.xyz, r2, c12.x
mov oC0.w, c17.z
"
}
SubProgram "d3d11 " {
// Stats: 157 math
SetTexture 0 [_Sky_Inscatter] 2D 0
ConstBuffer "$Globals" 400
Float 16 [_Exposure]
Float 24 [Rg]
Float 28 [Rt]
Vector 48 [betaR] 3
Float 92 [mieG]
Float 96 [_experimentalAtmoScale]
Float 120 [RES_R]
Float 124 [RES_MU]
Float 128 [RES_MU_S]
Float 132 [RES_NU]
Float 136 [_Sun_Intensity]
Float 140 [_viewdirOffset]
Float 148 [_Alpha_Global]
Vector 288 [_Globals_WorldCameraPos] 3
Vector 304 [_Globals_Origin] 3
Float 316 [_RimExposure]
Vector 320 [_Sun_WorldSunDir] 3
BindCB  "$Globals" 0
"ps_4_0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"
}
SubProgram "gles " {
"!!GLES"
}
SubProgram "glesdesktop " {
"!!GLES"
}
SubProgram "gles3 " {
"!!GLES3"
}
}
 }
}
}